<?php

// is_mobile
if (!function_exists('is_mobile')) :
	function is_mobile(){
		$useragents = array(
		'iPhone',
		'iPod',
		'Android.*Mobile',
		'Windows.*Phone',
		'dream',
		'CUPCAKE',
		'blackberry9500',
		'blackberry9530',
		'blackberry9520',
		'blackberry9550',
		'blackberry9800',
		'webOS',
		'incognito',
		'webmate'
	);
	$pattern = '/'.implode('|', $useragents).'/i';
	return preg_match($pattern, $_SERVER['HTTP_USER_AGENT']);
	}
endif;

function is_ie() {
	$ua = $_SERVER['HTTP_USER_AGENT'];
    if (strstr($ua, 'Trident') || strstr($ua, 'MSIE')) {
        $is_ie = true;
    } else {
        $is_ie = false;
    }
    return $is_ie;
}

// include function file
require_once( 'functions/customizer-color.php' );
require_once( 'functions/customizer.php' );
require_once( 'functions/shortcode.php' );
require_once( 'functions/breadcrumb.php' );
require_once( 'functions/main-parts.php' );
require_once( 'functions/widget.php' );
require_once( 'functions/admin.php' );
require_once( 'blocks/blocks-functions.php' );
require_once( 'functions/classic-style-select.php' );


// CSS Include
if (!function_exists('stk_add_stylesheet')) {
add_action('wp_enqueue_scripts', 'stk_add_stylesheet');
	function stk_add_stylesheet() {
		if (!is_admin()) {
			$theme = wp_get_theme(get_template());
			$theme_ver = $theme->Version;
			wp_enqueue_style('stk_style', get_bloginfo('template_directory').'/style.css', array(), $theme_ver, 'all');
		
			if((get_option('side_options_googlefontinclude') == "gf_UbuntuCon")) {
				wp_enqueue_style('gf_font', 'https://fonts.googleapis.com/css?family=Ubuntu+Condensed&display=swap');
			} elseif((get_option('side_options_googlefontinclude') == "gf_Lora")) {
				wp_enqueue_style('gf_font', 'https://fonts.googleapis.com/css?family=Lora:700&display=swap');
			} elseif((get_option('side_options_googlefontinclude') == "gf_Lobster")) {
				wp_enqueue_style('gf_font', 'https://fonts.googleapis.com/css?family=Lobster&display=swap');
			} else {
				wp_enqueue_style('gf_font', 'https://fonts.googleapis.com/css?family=Concert+One&display=swap');
			}
		
			if((get_option('side_options_fontawesomeinclude', 'fonta_cdn') == "fonta_cdn")){
				wp_enqueue_style('fontawesome', 'https://use.fontawesome.com/releases/v5.13.0/css/all.css');
			} elseif((get_option('side_options_fontawesomeinclude') == "fonta_download")) {
				wp_enqueue_style('fontawesome', get_theme_file_uri('/css/fa5_all.min.css'));
			} else {
				null;
			}
			
			if((is_home() || is_front_page())
			&& (get_option('stk_toppageslider_display','off') == 'on')
			){
				wp_enqueue_style('slick', get_theme_file_uri('/css/slick.css'));
			}
			
			if(is_page_template( 'page-lp.php' ) || is_page_template( 'page-wide.php' )) {
				wp_enqueue_style('lp_css', get_theme_file_uri('/css/lp.css'));
			}
		}
	}
}

// SCRIPTS Include
if (!function_exists('stk_add_script')) {
	add_action('wp_enqueue_scripts', 'stk_add_script');
	function stk_add_script(){
		if (!is_admin()) {
			if(get_option('side_options_cdn_jquery_include', 'on') == 'on'){
				wp_deregister_script( 'jquery' );
				wp_enqueue_script('jquery', 'https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js', array(), '1.12.4', false );				
			}
			if( (is_home() || is_front_page())
			&& (get_option('stk_toppageslider_display','off') == 'on')
			){
				wp_enqueue_script( 'slick-js', get_theme_file_uri('/js/slick.min.js'), array('jquery'), '1.5.9', true );
			}
			wp_enqueue_script( 'remodal-js', get_theme_file_uri('/js/remodal.min.js'), array('jquery'), '1.1.1', true );
			wp_enqueue_script( 'main-js', get_theme_file_uri('/js/scripts.js'), array( 'jquery' ), '', true );
		}
	}
}

// JavaScript add defer
if (!function_exists('add_defer_to_enqueue_script')) {
	if( (get_option('advanced_js_defer', 'off') == "on") && !( is_admin() || is_customize_preview() )){
		function add_defer_to_enqueue_script( $url ) {
		if ( FALSE === strpos( $url, '.js' ) ) return $url;
		if ( strpos( $url, 'jquery.min.js' ) ) return $url;
		if ( strpos( $url, 'jquery.js' ) ) return $url;
		return "$url' defer charset='UTF-8";
		}
		add_filter( 'clean_url', 'add_defer_to_enqueue_script', 11, 1 );
	}
}

// add loading="lazy"
function add_image_loadinglazy( $the_content ) {
	if ( get_option('advanced_lozad_js', 'off') == 'off' || is_admin() || is_feed() ) {
		return $the_content;
	}
	
	$re_content = preg_replace(
	        '#<img([^>]+?)src=[\'"]?([^\'"\s>]+)[\'"]?([^>]*)>#',
	        '<img${1}src="${2}" loading="lazy"${3}>',
	        $the_content );
	
	return $re_content;
}
add_filter( 'the_content', 'add_image_loadinglazy', 99 );
add_filter( 'post_thumbnail_html', 'add_image_loadinglazy', 11 );
add_filter( 'get_avatar', 'add_image_loadinglazy', 11 );
add_filter( 'widget_text', 'add_image_loadinglazy', 11 );


// Child Category Accordion
if (!function_exists('cat_accordion') && (get_option('side_options_cataccordion', 'accordion_on') == "accordion_on" )) {
function cat_accordion() {
$cat_accordion = <<< EOM
<script>
jQuery(document).ready(function($) {
	$(function(){
		$(".widget_categories li, .widget_nav_menu li").has("ul").toggleClass("accordionMenu");
		$(".widget ul.children , .widget ul.sub-menu").after("<span class='accordionBtn'></span>");
		$(".widget ul.children , .widget ul.sub-menu").hide();
		$("ul .accordionBtn").on("click", function() {
			$(this).prev("ul").slideToggle();
			$(this).toggleClass("active");
		});
	});
});
</script>
EOM;
echo $cat_accordion;
}
add_action( 'wp_footer', 'cat_accordion' );
}

// Google Analytics
if ( get_option( 'other_options_ga' ) ) {
function meta_analytics() {

$analyticstag = get_option( 'other_options_ga' );
$headanalytics = <<<EOM
<script async src="https://www.googletagmanager.com/gtag/js?id={$analyticstag}"></script>
<script>
  window.dataLayer = window.dataLayer || [];
  function gtag(){dataLayer.push(arguments);}
  gtag('js', new Date());

  gtag('config', '{$analyticstag}');
</script>
EOM;
echo $headanalytics;
}
add_action( 'wp_head', 'meta_analytics', 999);
}

// head tags
function meta_headtags() {
	$output = get_option( 'other_options_headcode' );
	echo $output;
}
add_action( 'wp_head', 'meta_headtags' );

// first of body
function meta_bodytags() {
	$output = get_option( 'other_options_bodycode' );
	echo $output;
}
add_action( 'wp_body_open', 'meta_bodytags', 999);

// foot tags
function meta_foottags() {
	$output = get_option( 'other_options_footercode' );
	echo $output;
}
add_action( 'wp_footer', 'meta_foottags', 999);

// wp_body_open
if (!function_exists( 'wp_body_open' ) ) {
    function wp_body_open() {
        do_action( 'wp_body_open' );
    }
}


// page tags
function add_tag_to_page() {
 register_taxonomy_for_object_type('post_tag', 'page');
}
add_action('init', 'add_tag_to_page');

// category HTML tags
remove_filter( 'pre_term_description', 'wp_filter_kses' );

// Remove category widget title
function remove_categories_widget_title( $cat_args ) {

    $cat_args['use_desc_for_title'] = 0;

    return $cat_args;
}
add_filter( 'widget_categories_args', 'remove_categories_widget_title' );

// embedded content size
if ( ! isset( $content_width ) ) {
	$content_width = 728;
}

// Site Search Page unset
if (!function_exists('SearchFilter') && !is_admin()) {
	function SearchFilter($query) {
	if ($query->is_search && !is_admin()) {
	$query->set('post_type', 'post');
	}
	return $query;
	}
	add_filter('pre_get_posts','SearchFilter');
}

// user page description html
remove_filter('pre_user_description', 'wp_filter_kses');

// User Profile set_unset
if (!function_exists('update_profile_fields')) {
	function update_profile_fields( $contactmethods ) {
	    //項目の削除
	    unset($contactmethods['aim']);
	    unset($contactmethods['jabber']);
	    unset($contactmethods['yim']);
	    //項目の追加
	    $contactmethods['twitter'] = 'Twitter';
	    $contactmethods['facebook'] = 'Facebook';
	    $contactmethods['googleplus'] = 'Google+';
	    $contactmethods['instagram'] = 'Instagram';
	    $contactmethods['youtube'] = 'YouTube';
	    $contactmethods['userposition'] = '肩書';

	    return $contactmethods;
	}
	add_filter('user_contactmethods','update_profile_fields',10,1);
}


// Self Pingback
function no_self_pingst( &$links ) {
    $home = home_url();
    foreach ( $links as $l => $link )
        if ( 0 === strpos( $link, $home ) )
            unset($links[$l]);
}
add_action( 'pre_ping', 'no_self_pingst' );


// Archives P Tags
add_filter( 'the_content', 'opencage_filter_ptags_on_images' );
function opencage_filter_ptags_on_images($content){
	return preg_replace('/<p>\s*(<a .*>)?\s*(<img .* \/>)\s*(<\/a>)?\s*<\/p>/iU', '\1\2\3', $content);
}
// more
if (!function_exists('opencage_excerpt_more')) {
	add_filter( 'excerpt_more', 'opencage_excerpt_more' );
	function opencage_excerpt_more($more) {
		global $post;
		return '...';
	}
}

// Custom Menu
if (!function_exists('description_in_nav_menu')) {
	add_filter('walker_nav_menu_start_el', 'description_in_nav_menu', 10, 4);
	function description_in_nav_menu($item_output, $item){
		if ( !empty( $item->description ) ) {
			
			$pattern = '/(<a.*?>[^<]*?)<\/a/';
			$replace =  '$1' . '<span class="gf">' . $item->description . '</span></a';
			$item_output = preg_replace($pattern, $replace, $item_output);
			
		}
		return $item_output;
	}
}

// Update check
require 'theme-update-checker.php';
$example_update_checker = new ThemeUpdateChecker(
'jstork19',
'http://open-cage.com/theme-update/stork19/update-info.json'
);


// add_theme_support

add_theme_support( 'title-tag' );

add_theme_support( 'post-thumbnails' );

add_theme_support( 'custom-background',
    array(
    'default-color' => 'f7f7f7',
    'wp-head-callback' => '_custom_background_cb',
    'admin-head-callback' => '',
    'admin-preview-callback' => ''
    )
);

add_theme_support( 'menus' );
register_nav_menus(
	array(
		'main-nav' => 'グローバルナビ（PC用）' ,
		'main-nav-sp' => 'グローバルナビ（モバイル用）' ,
		'footer-links' => 'フッターナビ（ページ最下部）',
	)
);


add_theme_support( 'custom-logo', array(
	'height' => 120,
	'width' => 420,
	'flex-height' => true,
    'flex-width'  => true,
	)
);

add_theme_support('automatic-feed-links');

add_theme_support( 'html5', array(
	'comment-list',
	'search-form',
	'comment-form',
	'gallery',
	'caption',
) );


// title tags
function setup_theme() {
   add_theme_support( 'title-tag' );
}
add_action( 'after_setup_theme', 'setup_theme' );

// Wide Alignment Gutenberg
add_theme_support( 'align-wide' );
add_theme_support( 'responsive-embeds' );

// Cover Block Units
add_theme_support( 'custom-units', 'px', 'em', 'vh', 'vw' );

// Custom Line Heights
add_theme_support( 'custom-line-height' );

add_filter( 'the_generator', 'opencage_rss_version' );
function opencage_rss_version() {
	return '';
}

function opencage_remove_wp_ver_css_js( $src ) {
	if ( strpos( $src, 'ver=' ) )
		$src = remove_query_arg( 'ver', $src );
	return $src;
}

add_filter( 'wp_head', 'opencage_remove_wp_widget_recent_comments_style', 1 );
function opencage_remove_wp_widget_recent_comments_style() {
	if ( has_filter( 'wp_head', 'wp_widget_recent_comments_style' ) ) {
		remove_filter( 'wp_head', 'wp_widget_recent_comments_style' );
	}
}

add_action( 'wp_head', 'opencage_remove_recent_comments_style', 1 );
function opencage_remove_recent_comments_style() {
	global $wp_widget_factory;
	if (isset($wp_widget_factory->widgets['WP_Widget_Recent_Comments'])) {
		remove_action( 'wp_head', array($wp_widget_factory->widgets['WP_Widget_Recent_Comments'], 'recent_comments_style') );
	}
}

// Thumbnail Size
if (!function_exists('add_mythumbnail_size')) {
	function add_mythumbnail_size() {
	add_image_size( 'oc-post-thum', 485, 300, true );
	}
	add_action( 'after_setup_theme', 'add_mythumbnail_size' );
}

if(get_option('advanced_print_emoji', 'on') == 'off'){
remove_action( 'wp_head', 'print_emoji_detection_script', 7 );
remove_action( 'wp_print_styles', 'print_emoji_styles' );
}
