<?php

// Classic editor body class
function stk_classic_editor_body_class( $initArray ){
    $initArray['body_class'] = 'editor-area';
    return $initArray;
}
add_filter( 'tiny_mce_before_init', 'stk_classic_editor_body_class' );

// include editor css
function stk_custom_editor_style() {
    add_theme_support( 'editor-styles' );
    add_editor_style( 'editor-style.css' );
}
add_action( 'after_setup_theme', 'stk_custom_editor_style' );

// classic editor fa5
/*
function stk_add_classic_editor_fa_styles() {
    add_editor_style( 'https://use.fontawesome.com/releases/v5.10.2/css/all.css' );
}
add_action( 'admin_init', 'stk_add_classic_editor_fa_styles' );
*/


// remove Gutenberg default css
if (!function_exists('remove_default_block_style') && (get_option('remove_gutenberg_style', 'on') == "off") ) {
	add_action( 'wp_enqueue_scripts', 'remove_default_block_style' );
	function remove_default_block_style() {
	  wp_dequeue_style( 'wp-block-library' );
	}
}

// content width
function stk_content_width() {
	global $content_width;
	if ( is_page_template('page-wide.php') || is_page_template('page-full.php') || is_page_template('page-lp.php') || is_page_template('single-full.php') ){
		$content_width = 1166;
	} 
}
add_action( 'template_redirect', 'stk_content_width' );

// lp include header & footer
if (!function_exists('lp_template_if_header')) :
	function lp_template_if_header() {
		return ! ( is_page_template( 'page-lp.php' ) );
	}
endif;
if (!function_exists('lp_template_if_footer')) :
	function lp_template_if_footer() {
		return lp_template_if_header();
	}
endif;

// Remove .hentry
function remove_hentry( $classes ) {
    if (!is_single()) $classes = array_diff($classes, array('hentry'));
    return $classes;
}
add_filter('post_class', 'remove_hentry');

// Add Class post_class
function add_class_article( $classes ) {
    $classes[] = 'article';
    return $classes;
}
add_filter('post_class', 'add_class_article');


// Add Class body
add_filter( 'body_class', 'stk_custom_class' );
function stk_custom_class( $classes ) {
	if (!is_active_sidebar('sidebar1') && !is_active_sidebar('side-fixed')){
		$classes[] = 'sidebar_none';
	}
	if ( get_option( 'side_options_headerfix', 'headernormal' ) == 'headerfix' ) {
		$classes[] = 'fixhead-active';
	} elseif( get_option( 'side_options_headerfix', 'headernormal' ) == 'headerfixmobile' && is_mobile()){
		$classes[] = 'fixhead-active';
	} elseif( get_option( 'side_options_headerfix', 'headernormal' ) == 'headerfixpc' && !is_mobile()){
		$classes[] = 'fixhead-active';
	} else {
		null;
	}
	
	if(get_option('side_options_headercenter','headerleft') !== 'headerleft') {
		$classes[] = get_option('side_options_headercenter');
	}
	if(get_option('post_options_ttl', 'h_default') !== 'h_default') {
		$classes[] = get_option('post_options_ttl');
	}
	if(get_option('side_options_sidebarlayout', 'sidebarright') !== 'sidebarright') {
		$classes[] = get_option('side_options_sidebarlayout');
	}
	if(get_option('side_options_googlefontinclude', 'gf_Concert') !== 'gf_Concert') {
		$classes[] = get_option('side_options_googlefontinclude');
	}
	$classes[] = get_option('side_options_headerbg','bgfull');
	return $classes;		
}


function opencage_fixedheadepatch(){

$fixedpatch = <<< EOM
<script>
jQuery(document).ready(function($) {
	$(function () {
	    var headerH = $('#header').outerHeight(true) + 30;
	    $('a[href^="#"]').not('.nav_btn').not('.toc_toggle a').click(function(){
	        var href= $(this).attr("href");
	        var target = $(href == "#" || href == "" ? 'html' : href);
	        var position = target.offset().top - headerH; 
	        $("html, body").animate({scrollTop:position}, 200, "swing");
	        return false;
	    });
	});
});
</script>
EOM;

if(is_user_logged_in() && !is_mobile()){
$fixedpatch .= <<< EOM
<script>
    jQuery(document).ready(function($) {
        $(function() {
            var wpadminbarH = $('#wpadminbar').outerHeight();
            $("#header").css("top", wpadminbarH + "px");
        });
    });
</script>
EOM;
}

$kaigyou = array('\r','\n','\t');
$fixedpatch = str_replace($kaigyou, '', $fixedpatch);

	if ( get_option( 'side_options_headerfix', 'headernormal' ) == 'headerfix' ) {
		echo $fixedpatch;
	} elseif( get_option( 'side_options_headerfix', 'headernormal' ) == 'headerfixmobile' && is_mobile()){
		echo $fixedpatch;
	} elseif( get_option( 'side_options_headerfix', 'headernormal' ) == 'headerfixpc' && !is_mobile()){
		echo $fixedpatch;
	} else {
		null;
	}
}
add_action( 'wp_footer', 'opencage_fixedheadepatch');


// Remove WordPress Version
if (!function_exists('remove_src_wp_ver')) :
	function remove_src_wp_ver( $dep ) {
		$dep->default_version = '';
	}
	add_action( 'wp_default_scripts', 'remove_src_wp_ver' );
	add_action( 'wp_default_styles', 'remove_src_wp_ver' );
endif;


// LP CUSTOM POST
if (!function_exists('custom_post_lp') && (get_option('advanced_custom_lp', 'off') == "on") ) :
function custom_post_lp() { 
	register_post_type( 'post_lp',
		array( 'labels' => array(
			'name' => __( 'ランディングページ', 'opencagetheme' ),
			'singular_name' => __( 'ランディングページ', 'opencagetheme' ),
			'all_items' => __( 'すべてのランディングページ', 'opencagetheme' ),
			'add_new' => __( '新規作成', 'opencagetheme' ),
			'add_new_item' => __( 'ランディングページをつくる', 'opencagetheme' ),
			'edit' => __( '編集', 'opencagetheme' ),
			'edit_item' => __( 'ランディングページを編集', 'opencagetheme' ),
			'new_item' => __( 'New Post Type', 'opencagetheme' ),
			'view_item' => __( 'ランディングページを表示', 'opencagetheme' ),
			'search_items' => __( 'ランディングページを検索', 'opencagetheme' ),
			'not_found' =>  __( 'Nothing found in the Database.', 'opencagetheme' ),
			'not_found_in_trash' => __( 'Nothing found in Trash', 'opencagetheme' ),
			'parent_item_colon' => ''
			),
			'description' => __( 'ランディングページをつくれます。', 'opencagetheme' ),
			'public' => true,
			'publicly_queryable' => true,
			'exclude_from_search' => false,
			'show_ui' => true,
			'query_var' => true,
			'show_in_rest' => true,
			'menu_position' => 8,
			'menu_icon' => get_theme_file_uri('/images/custom-post-icon.png'),
			'rewrite'	=> array( 'slug' => 'post_lp', 'with_front' => false ),
			'has_archive' => 'post_lp',
			'capability_type' => 'page',
			'hierarchical' => true,
			'supports' => array('title', 'editor', 'author', 'thumbnail', 'excerpt', 'trackbacks', 'custom-fields', 'comments', 'revisions', 'page-attributes')
		)
	);
}
add_action( 'init', 'custom_post_lp');
endif;