<?php
	
function stk_itemprop_position($position){
	return '<meta itemprop="position" content="'. $position .'" />';
}


// breadcrumb
if (!function_exists('breadcrumb')) {
	function breadcrumb($divOption = array("id" => "breadcrumb", "class" => "breadcrumb fadeIn cf")){
	    global $post;
	    $str ='';
	    if(get_option('pannavi_position', 'pannavi_on_bottom') !== 'pannavi_off'){
		    if(!is_home()&&!is_front_page()&&!is_admin() ){
		        $tagAttribute = '';
		        foreach($divOption as $attrName => $attrValue){
		            $tagAttribute .= sprintf(' %s="%s"', $attrName, $attrValue);
		        }
		        $i = 1;
		        $str.= '<div'. $tagAttribute .'>';
		        $str.= '<div class="wrap"><ul itemscope itemtype="http://schema.org/BreadcrumbList">';
		        $str.= '<li itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem" class="bc_homelink"><a itemprop="item" href="'. esc_url(home_url()) .'/"><span itemprop="name"> HOME</span></a>' . stk_itemprop_position($i) . '</li>';
		        $i++;

		        if(is_category()) {
		            $cat = get_queried_object();
		            if($cat -> parent != 0){
		                $ancestors = array_reverse(get_ancestors( $cat -> cat_ID, 'category' ));
		                foreach($ancestors as $ancestor){
		                    $str.='<li itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem"><a itemprop="item" href="'. get_category_link($ancestor) .'"><span itemprop="name">'. get_cat_name($ancestor) .'</span></a>' . stk_itemprop_position($i) . '</li>';
		                    $i++;
		                }
		            }
		            $str.='<li itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem"><span itemprop="name">'. $cat -> name . '</span>' . stk_itemprop_position($i) . '</li>';
		            
		        } elseif ( is_post_type_archive() ) {
			        $cpt = get_query_var( 'post_type' );
			        $str.= '<li>' . get_post_type_object( $cpt )->label . '</li>';
			        
			    } elseif ( is_tax() ) {
				    //taxonomy
				    $query_obj = get_queried_object();
					$post_types = get_taxonomy( $query_obj->taxonomy )->object_type;
					$cpt = $post_types[0];
					$str.= '<li><a href="'. get_post_type_archive_link( $cpt ) . '"><span>'. get_post_type_object( $cpt )->label .'</span></a></li>';
					$taxonomy = get_query_var( 'taxonomy' );
					$term = get_term_by( 'slug', get_query_var( 'term' ), $taxonomy );
					if ( is_taxonomy_hierarchical( $taxonomy ) && $term->parent != 0 ) {
						$ancestors = array_reverse( get_ancestors( $term->term_id, $taxonomy ) );
						foreach ( $ancestors as $ancestor_id ) {
							$ancestor = get_term( $ancestor_id, $taxonomy );
							$str.='<li><a href="'. get_term_link( $ancestor, $term->slug ) .'"><span>'. $ancestor->name .'</span></a></li>';
						}
					}
					$str.='<li>'. $term->name .'</li>';
					
		        } elseif(is_single()){
		            $post_type = get_post_type( $post->ID );
			        if ( $post_type == 'post' ) {
				        // normal post
			            $categories = get_the_category($post->ID);
			            $cat = $categories[0];
			            if($cat -> parent != 0){
			                $ancestors = array_reverse(get_ancestors( $cat -> cat_ID, 'category' ));
			                foreach($ancestors as $ancestor){
			                    $str.='<li itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem"><a itemprop="item" href="'. get_category_link($ancestor).'"><span itemprop="name">'. get_cat_name($ancestor). '</span></a>' . stk_itemprop_position($i) . '</li>';
								$i++;
			                }
			            }
			            $str.='<li itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem"><a itemprop="item" href="'. get_category_link($cat -> term_id). '"><span itemprop="name">'. $cat-> cat_name . '</span></a>' . stk_itemprop_position($i) . '</li>';
						$i++;
			            $str.= '<li itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem" class="bc_posttitle"><span itemprop="name">'. $post -> post_title .'</span>' . stk_itemprop_position($i) . '</li>';
			        } else {
						// custom post type
						$post_type_object = get_post_type_object( $post->post_type );
						if($post_type_object->has_archive !== false){
							$str.='<li itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem"><a itemprop="item" href="'. get_post_type_archive_link(get_post_type()) .'"><span itemprop="name">'. $post_type_object->labels->name .'</a></span>' . stk_itemprop_position($i) . '</li>';
						}
						$i++;
						$str.= '<li itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem" class="bc_posttitle"><span itemprop="name">'. $post -> post_title .'</span>' . stk_itemprop_position($i) . '</li>';
				    }
				    
		        } elseif(is_page()){
		            if($post -> post_parent != 0 ){
		                $ancestors = array_reverse(get_post_ancestors( $post->ID ));
		                foreach($ancestors as $ancestor){
		                    $str.='<li itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem"><a itemprop="item" href="'. get_permalink($ancestor).'"><span itemprop="name">'. get_the_title($ancestor) .'</span></a>' . stk_itemprop_position($i) . '</li>';
							$i++;
		                }
		            }
		            $str.= '<li itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem" class="bc_posttitle"><span itemprop="name">'. $post -> post_title .'' . stk_itemprop_position($i) . '</span></li>';
		            
		        } elseif(is_date()){
					if( is_year() ){
						$str.= '<li>' . get_the_time('Y') . '年</li>';
					} else if( is_month() ){
						$str.= '<li><a href="' . get_year_link(get_the_time('Y')) .'">' . get_the_time('Y') . '年</a></li>';
						$str.= '<li>' . get_the_time('n') . '月</li>';
					} else if( is_day() ){
						$str.= '<li><a href="' . get_year_link(get_the_time('Y')) .'">' . get_the_time('Y') . '年</a></li>';
						$str.= '<li><a href="' . get_month_link(get_the_time('Y'),get_the_time('m')) . '">' . get_the_time('n') . '月</a></li>';
						$str.= '<li>' . get_the_time('j') . '日</li>';
					}
					if(is_year() && is_month() && is_day() ){
						$str.= '<li>' . wp_title('', false) . '</li>';
					}
		        } elseif(is_search()) {
		            $str.='<li><span>「'. get_search_query() .'」で検索した結果</span></li>';
		        } elseif(is_author()){
		            $str .='<li itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem"><span itemprop="name">投稿者 : '. get_the_author_meta('display_name', get_query_var('author')).'</span>' . stk_itemprop_position($i) . '</li>';
		        } elseif(is_tag()){
		            $str.='<li itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem"><span itemprop="name">タグ : '. single_tag_title( '' , false ). '</span>' . stk_itemprop_position($i) . '</li>';
		        } elseif(is_attachment()){
		            $str.= '<li><span>'. $post -> post_title .'</span></li>';
		        } elseif(is_404()){
		            $str.='<li>ページがみつかりません。</li>';
		        } else{
		            $str.='';
		        }
		        $str.='</ul></div>';
		        $str.='</div>';
		    }
		}
	    echo $str;
	}
}