<?php

function stk_customize_register($wp_customize) {
    $wp_customize->add_section( 'colors', array(
    'title' => __( '> サイトカラー設定', 'opencage' ),
    'priority' => 30,
    'description' => 'サイトの色変更が可能です。<br>※「背景色」を適用させたい場合は、【カスタマイズ > 背景画像】から背景画像を削除しておく必要があります。',
    ));

	$wp_customize->add_setting( 'opencage_color_maintext', array( 'default' => '#3E3E3E', ) );
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'opencage_color_maintext', array(
	    'label' => __( '[メイン]テキスト', 'opencage' ),
	    'section' => 'colors',
	    'settings' => 'opencage_color_maintext',
    )));

	$wp_customize->add_setting( 'opencage_color_mainlink', array( 'default' => '#1bb4d3', ) );
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'opencage_color_mainlink', array(
	    'label' => __( '[メイン]リンク色', 'opencage' ),
		'description' => '<span style="font-size:10px; opacity:0.7;">記事内のテキストリンク色</span>',
	    'section' => 'colors',
	    'settings' => 'opencage_color_mainlink',
    ) ) );

	$wp_customize->add_setting( 'opencage_color_mainlink_hover', array( 'default' => '#E69B9B', ) );
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'opencage_color_mainlink_hover', array(
	    'label' => __( '[メイン]リンク色（hover時）', 'opencage' ),
		'description' => '<span style="font-size:10px; opacity:0.7;">マウスオーバーの際のテキストリンク色</span>',
	    'section' => 'colors',
	    'settings' => 'opencage_color_mainlink_hover',
    ) ) );


	$wp_customize->add_setting( 'opencage_color_headerbg', array( 'default' => '#1bb4d3', ) );
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'opencage_color_headerbg', array(
	    'label' => __( '[ヘッダー]背景色（メインカラー）', 'opencage' ),
	    'section' => 'colors',
	    'settings' => 'opencage_color_headerbg',
    ) ) );

	$wp_customize->add_setting( 'opencage_color_headerlogo', array( 'default' => '#eeee22', ) );
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'opencage_color_headerlogo', array(
	    'label' => __( '[ヘッダー]サイトロゴ', 'opencage' ),
	    'section' => 'colors',
	    'settings' => 'opencage_color_headerlogo',
    ) ) );

	$wp_customize->add_setting( 'opencage_color_headertext', array( 'default' => '#edf9fc', ) );
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'opencage_color_headertext', array(
	    'label' => __( '[ヘッダー]テキスト', 'opencage' ),
	    'section' => 'colors',
	    'settings' => 'opencage_color_headertext',
    ) ) );

	$wp_customize->add_setting( 'opencage_color_contentbg', array( 'default' => '#ffffff', ) );
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'opencage_color_contentbg', array(
	    'label' => __( '[メインコンテンツ]背景色', 'opencage' ),
	    'section' => 'colors',
	    'settings' => 'opencage_color_contentbg',
    ) ) );

	$wp_customize->add_setting( 'opencage_color_labelbg', array( 'default' => '#fcee21', ) );
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'opencage_color_labelbg', array(
	    'label' => __( '[ラベル]背景色', 'opencage' ),
	    'section' => 'colors',
	    'settings' => 'opencage_color_labelbg',
    ) ) );

	$wp_customize->add_setting( 'opencage_color_labeltext', array( 'default' => '#3e3e3e', ) );
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'opencage_color_labeltext', array(
	    'label' => __( '[ラベル]テキスト', 'opencage' ),
	    'section' => 'colors',
	    'settings' => 'opencage_color_labeltext',
    ) ) );

    
    $wp_customize->add_setting( 'opencage_color_ttlbg', array( 'default' => '#1bb4d3', ) );
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'opencage_color_ttlbg', array(
	    'label' => __( '[記事ページ]見出し(H2)背景', 'opencage' ),
	    'section' => 'colors',
	    'settings' => 'opencage_color_ttlbg',
    ) ) );

    $wp_customize->add_setting( 'opencage_color_ttltext', array( 'default' => '#ffffff', ) );
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'opencage_color_ttltext', array(
	    'label' => __( '[記事ページ]見出し(H2)文字色', 'opencage' ),
	    'section' => 'colors',
	    'settings' => 'opencage_color_ttltext',
    ) ) );

	$wp_customize->add_setting( 'opencage_color_slidertext', array( 'default' => '#444444', ) );
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'opencage_color_slidertext', array(
	    'label' => __( '[スライダー]テキスト', 'opencage' ),
	    'section' => 'colors',
	    'settings' => 'opencage_color_slidertext',
    ) ) );


	$wp_customize->add_setting( 'opencage_color_sidetext', array( 'default' => '#3e3e3e', ) );
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'opencage_color_sidetext', array(
	    'label' => __( '[サイドバー]テキスト', 'opencage' ),
	    'section' => 'colors',
	    'settings' => 'opencage_color_sidetext',
    ) ) );


	$wp_customize->add_setting( 'opencage_color_footerbg', array( 'default' => '#666666', ) );
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'opencage_color_footerbg', array(
	    'label' => __( '[フッター]背景色', 'opencage' ),
	    'section' => 'colors',
	    'settings' => 'opencage_color_footerbg',
    ) ) );

	$wp_customize->add_setting( 'opencage_color_footertext', array( 'default' => '#CACACA', ) );
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'opencage_color_footertext', array(
	    'label' => __( '[フッター]テキスト', 'opencage' ),
	    'section' => 'colors',
	    'settings' => 'opencage_color_footertext',
    ) ) );

	$wp_customize->add_setting( 'opencage_color_footerlink', array( 'default' => '#f7f7f7', ) );
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'opencage_color_footerlink', array(
	    'label' => __( '[フッター]リンク', 'opencage' ),
	    'section' => 'colors',
	    'settings' => 'opencage_color_footerlink',
    ) ) );

	  
}
add_action('customize_register', 'stk_customize_register');
    
function stk_customize_css() {
    // default color
    $maintext = get_theme_mod( 'opencage_color_maintext', '#3E3E3E');
    $mainlink = get_theme_mod( 'opencage_color_mainlink', '#1bb4d3');
    $mainlinkhover = get_theme_mod( 'opencage_color_mainlink_hover', '#E69B9B');
    $mainttlbg = get_theme_mod( 'opencage_color_ttlbg', '#1bb4d3');
    $mainttltext = get_theme_mod( 'opencage_color_ttltext', '#ffffff');
    $headerbg = get_theme_mod( 'opencage_color_headerbg', '#1bb4d3');
    $headerlogo = get_theme_mod( 'opencage_color_headerlogo', '#eeee22');
    $headertext = get_theme_mod( 'opencage_color_headertext', '#edf9fc');
    $contentbg = get_theme_mod( 'opencage_color_contentbg', '#ffffff');
    $labelbg = get_theme_mod( 'opencage_color_labelbg', '#fcee21');
    $labeltext = get_theme_mod( 'opencage_color_labeltext', '#3e3e3e');
    $slidertext = get_theme_mod( 'opencage_color_slidertext', '#444444');
    $sidetext = get_theme_mod( 'opencage_color_sidetext', '#3e3e3e');
    $footerbg = get_theme_mod( 'opencage_color_footerbg', '#666666');
    $footertext = get_theme_mod( 'opencage_color_footertext', '#CACACA');
    $footerlink = get_theme_mod( 'opencage_color_footerlink', '#f7f7f7');
    $newmarkbg = get_theme_mod( 'post_new_mark_bgcolor', '#ff6347');
    ?>
<style type="text/css">
body, #breadcrumb li a::after{ color: <?php echo $maintext; ?>;}
a, #breadcrumb li.bc_homelink a::before, .author_sns li a::before,.widget li a:after,.np-post-list.prev a::before, .np-post-list.next a::after, .footer-links li a:before{ color: <?php echo $mainlink; ?>;}
a:hover{ color: <?php echo $mainlinkhover; ?>;}

.article-footer .post-categories li a { background-color: <?php echo $mainlink; ?>;  border-color:<?php echo $mainlink; ?>;}
.article-footer .post-categories li a:hover{ background-color: <?php echo $mainlinkhover; ?>;  border-color:<?php echo $mainlinkhover; ?>;}
.article-footer .post-categories.tags a{ color:<?php echo $mainlink; ?>;}
.article-footer .post-categories.tags a:hover{ color: <?php echo $mainlinkhover; ?>;}
#header, .bgnormal #inner-header{ background: <?php echo $headerbg; ?>;}
#site__logo a{ color: <?php echo $headerlogo; ?>;}
#header, #ul__g_nav a, .nav_btn{ color: <?php echo $headertext; ?>;}
@media only screen and (min-width: 768px) {
	#ul__g_nav .sub-menu { background: <?php echo $footerbg; ?>;}
	#ul__g_nav .sub-menu a{ color: <?php echo $footerlink; ?>;}
}

#inner-content, #breadcrumb, .entry-content blockquote:before, .entry-content blockquote:after, .archives-list.simple-list .post-list a,.cbox.type_simple,.cbox.type_simple .box_title .span__box_title, .accordion_content{ background-color: <?php echo $contentbg; ?>;}
.wp-block-group.alignfull:not(.has-background) { background-color: <?php echo $contentbg; ?>;}

.entry-content h2:not(.is-style-stylenone),.widgettitle,.homeadd_wrap h2,.accordion::before,.is-style-faq_type_bg1::before,
ul.wpp-list li a:before,#toc_container .toc_number,
.faq-icon--bg_themecolor .oc-faq__title::before,.faq-icon--bg_themecolor .oc-faq__comment::before { background-color: <?php echo $mainttlbg; ?>; color: <?php echo $mainttltext; ?>;}

.entry-content h3:not(.is-style-stylenone),.entry-content h4:not(.is-style-stylenone),.cat_postlist .catttl,.archive-title,
.h_boader .entry-content h2:not(.is-style-stylenone),.h_boader .homeadd_wrap h2{ border-color: <?php echo $mainttlbg; ?>;}
.h_balloon .entry-content h2:not(.is-style-stylenone):after,.h_balloon .homeadd_wrap h2:not(.is-style-stylenone):after{ border-top-color: <?php echo $mainttlbg; ?>;}
.entry-content ul li:before, #toc_container .toc_title::before{ color: <?php echo $mainttlbg; ?>;}
.entry-content ol > li:before{ background-color: <?php echo $mainttlbg; ?>; border-color: <?php echo $mainttlbg; ?>;  color: <?php echo $mainttltext; ?>;}

#container .cat-name,.related_article .ttl:before{ background-color: <?php echo $labelbg; ?>; color:  <?php echo $labeltext; ?>;}
.btn-wrap a, .wp-block-button.is-style-normal a, .wp-block-button.is-style-fill .wp-block-button__link:not(.has-background):not(.has-text-color){ background-color: <?php echo $mainlink; ?>;border-color: <?php echo $mainlink; ?>;}
.btn-wrap a:hover, .wp-block-button.is-style-normal a:hover, .widget .btn-wrap:not(.simple) a:hover{ color: <?php echo $mainlink; ?>;border-color: <?php echo $mainlink; ?>;}
.btn-wrap.simple a, .wp-block-button.is-style-simple a, .wp-block-button.is-style-outline .wp-block-button__link:not(.has-background):not(.has-text-color),
.pagination a, .pagination span,.page-links a{ border-color: <?php echo $mainlink; ?>; color: <?php echo $mainlink; ?>;}
.btn-wrap.simple a:hover, .wp-block-button.is-style-simple a:hover, .pagination .current,.pagination .current:hover,.page-links ul > li > span,.pagination a:hover,.pagination a:focus,.page-links a:hover,.page-links a:focus,.accordionBtn{ background-color: <?php echo $mainlink; ?>;}
.accordionBtn.active{ background-color: <?php echo $mainlinkhover; ?>;}

#top_carousel a, .slick-prev:before, .slick-next:before, .slick-dots li button:before{color: <?php echo $slidertext; ?>;}
#sidebar1, .widget:not(.widget_text) a{ color: <?php echo $sidetext; ?>;}
.bgfull #footer-top, .cta-inner{ background-color: <?php echo $footerbg; ?>; color: <?php echo $footertext; ?>;}
.footer a,#footer-top a{ color: <?php echo $footerlink; ?>;}
#footer-top .widgettitle{ color: <?php echo $footertext; ?>;}
.bgfull #footer, .bgnormal #footer #inner-footer { background-color: <?php echo $footerbg; ?>; color: <?php echo $footertext; ?>;}
.wp-block-stk-plugin-faq .faq_title::before{ background-color: <?php echo $maintext; ?>;}
.newmark::before{ background-color: <?php echo $newmarkbg; ?>;}
</style>
<?php
    }
add_action( 'wp_head', 'stk_customize_css');

// editor custom styles
function stk_customize_css_admin() {
	$maintext = get_theme_mod( 'opencage_color_maintext', '#3E3E3E');
	$contentbg = get_theme_mod( 'opencage_color_contentbg', '#ffffff');
    $mainlink = get_theme_mod( 'opencage_color_mainlink', '#1bb4d3');
    $mainttlbg = get_theme_mod( 'opencage_color_ttlbg', '#1bb4d3');
    $mainttltext = get_theme_mod( 'opencage_color_ttltext', '#ffffff');
    $labelbg = get_theme_mod( 'opencage_color_labelbg', '#fcee21');
    $labeltext = get_theme_mod( 'opencage_color_labeltext', '#3e3e3e');
    ?>
<style type="text/css">
#editor .editor-styles-wrapper,
.editor-styles-wrapper .editor-post-title__block .editor-post-title__input{
	background-color: <?php echo $contentbg; ?>;
	color: <?php echo $maintext; ?>;
}
.editor-styles-wrapper .cbox.type_simple,
.editor-styles-wrapper .cbox.type_simple .box_title .span__box_title,
.accordion_content,
.wp-block-quote::before,.wp-block-quote::after {
	background-color: <?php echo $contentbg; ?>;
}

.mce-content-body.editor-area a,
.editor-styles-wrapper .block-editor-rich-text__editable:not(.has-text-color) a,
.wp-block-heading a{
	color: <?php echo $mainlink; ?>;
}
.mce-content-body.editor-area h2,
.editor-styles-wrapper h2:not(.is-style-stylenone):not(.has-text-color):not(.has-background),
.faq-icon--bg_themecolor .oc-faq__title::before,
.faq-icon--bg_themecolor .oc-faq__comment::before,
.icon-controle .components-radio-control__option input[value="faq-icon--bg_themecolor"] + label::before,
.accordion::before,
.is-style-faq_type_bg1::before {
	background: <?php echo $mainttlbg; ?>!important;
	color: <?php echo $mainttltext; ?>!important;
}
.mce-content-body.editor-area h3,
.editor-styles-wrapper h3,
.mce-content-body.editor-area h4,
.editor-styles-wrapper h4,
.editor-styles-wrapper .cat_postlist .catttl {
	border-color: <?php echo $mainttlbg; ?>;
}
.editor-styles-wrapper .btn-wrap:not([class*="rich_"]) a,
.wp-block-button.is-style-normal .wp-block-button__link,
.wp-block-button.is-style-fill .wp-block-button__link:not(.has-background):not(.has-text-color){ background: <?php echo $mainlink; ?>!important; border-color: <?php echo $mainlink; ?>!important; }
.editor-styles-wrapper .btn-wrap.simple a,
.wp-block-button.is-style-simple .wp-block-button__link,
.wp-block-button.is-style-outline .wp-block-button__link:not(.has-background):not(.has-text-color){ border-color: <?php echo $mainlink; ?>!important; color: <?php echo $mainlink; ?>!important; }

.editor-styles-wrapper .block-editor-block-list__layout ol li:before,
.editor-styles-wrapper .wp-block-freeform ol li:before{ background: <?php echo $mainttlbg; ?>; border-color: <?php echo $mainttlbg; ?>; color: <?php echo $mainttltext; ?>;}
.editor-styles-wrapper .block-editor-block-list__layout ul li:before,
.editor-styles-wrapper .wp-block-freeform ul li:before{ color: <?php echo $mainttlbg; ?>;}

.editor-styles-wrapper .cat-name,.editor-styles-wrapper .related_article .ttl:before{ background-color: <?php echo $labelbg; ?>; color:  <?php echo $labeltext; ?>;}
</style>
<?php
    }
add_action('admin_print_styles', 'stk_customize_css_admin');


function stk_customize_css_admin_classiceditor( $mceInit ) {
    $styles = '.mce-content-body.editor-area { color: ' . get_theme_mod( 'opencage_color_maintext', '#3E3E3E') . '}';
    $styles .= '.mce-content-body.editor-area,.mce-content-body.editor-area blockquote:before,.mce-content-body.editor-area blockquote:after,.editor-styles-wrapper .mce-content-body blockquote:before,.editor-styles-wrapper .mce-content-body blockquote:after { background-color: ' . get_theme_mod( 'opencage_color_contentbg', '#ffffff') . '}';
    $styles .= '.mce-content-body.editor-area a { color: ' . get_theme_mod( 'opencage_color_mainlink', '#1bb4d3') . '}';
    $styles .= '.mce-content-body.editor-area h2,.mce-content-body.editor-area ol li:before { background-color: ' . get_theme_mod( 'opencage_color_ttlbg', '#1bb4d3') . '}';
    $styles .= '.mce-content-body.editor-area ol li:before { border-color: ' . get_theme_mod( 'opencage_color_ttlbg', '#1bb4d3') . '}';
    $styles .= '.mce-content-body.editor-area h2,.mce-content-body.editor-area ol li:before { color: ' . get_theme_mod( 'opencage_color_ttltext', '#ffffff') . '}';
    $styles .= '.mce-content-body.editor-area h3,.mce-content-body.editor-area h4 { border-color: ' . get_theme_mod( 'opencage_color_ttlbg', '#1bb4d3') . '}';
    $styles .= '.mce-content-body.editor-area ul li:before { color: ' . get_theme_mod( 'opencage_color_ttlbg', '#1bb4d3') . '}';
    $styles .= '.mce-content-body.editor-area .btn-wrap:not(.simple):not(.rich_yellow):not(.rich_pink):not(.rich_orange):not(.rich_green):not(.rich_blue) a { background-color: ' . get_theme_mod( 'opencage_color_mainlink', '#1bb4d3') . '}';
    $styles .= '.mce-content-body.editor-area .btn-wrap:not(.rich_yellow):not(.rich_pink):not(.rich_orange):not(.rich_green):not(.rich_blue) a, .mce-content-body.editor-area .btn-wrap.simple { border-color: ' . get_theme_mod( 'opencage_color_mainlink', '#1bb4d3') . '}';
    if ( isset( $mceInit['content_style'] ) ) {
        $mceInit['content_style'] .= ' ' . $styles . ' ';
    } else {
        $mceInit['content_style'] = $styles . ' ';
    }
    return $mceInit;
}
add_filter('tiny_mce_before_init','stk_customize_css_admin_classiceditor');