<?php

// custom logo header
function opencage_logo_theme_customizer( $wp_customize ) {

    $wp_customize->add_section( 'title_tagline', array(
	    'title' => '> サイト基本設定・ロゴ・ヘッダー',
	    'priority' => 1,
	    'description' => 'サイトの基本的な設定が可能です。ロゴ画像やファビコン（サイトアイコン）はこちらのページからアップロード可能。',
    ));


    $wp_customize->add_setting('opencage_site_description', array(
	   'type'  => 'option',
	   'default' => 'sitedes_off',
	));
	$wp_customize->add_control( 'opencage_site_description', array(
	    'settings' => 'opencage_site_description',
	    'label' =>'キャッチフレーズを表示する',
		'description' => '<span style="font-size:11px;">サイトタイトル上に「キャッチフレーズ」を表示するかどうかの設定です。</span>',
	    'section' => 'title_tagline',
	    'type' => 'radio',
	    'choices' => array(
            'sitedes_on' => '表示する',
            'sitedes_off' => '表示しない',
        ),
	));

    $wp_customize->add_setting('opencage_logo_gf', array(
	   'type'  => 'option',
	   'default' => 'off',
	));
	$wp_customize->add_control( 'opencage_logo_gf', array(
	    'settings' => 'opencage_logo_gf',
	    'label' =>'サイトのタイトルをGoogleフォントにする',
		'description' => '<span style="font-size:11px;">※日本語フォントには適用されません。</span>',
	    'section' => 'title_tagline',
	    'type' => 'radio',
	    'choices' => array(
            'on' => '適用する',
            'off' => '適用しない',
        ),
	));

	
    $wp_customize->add_setting('opencage_logo_size', array(
	   'type'  => 'option',
	   'default' => 'fs_m',
	));
	$wp_customize->add_control( 'opencage_logo_size', array(
	    'settings' => 'opencage_logo_size',
	    'label' =>'ロゴサイズ変更',
		'description' => '<span style="font-size:11px;">ロゴのフォントサイズを変更できます。</span>',
	    'section' => 'title_tagline',
	    'type' => 'radio',
	    'choices' => array(
            'fs_ss' => 'フォントサイズ SS',
            'fs_s' => 'フォントサイズ S',
            'fs_m' => 'フォントサイズ M（デフォルト）',
            'fs_l' => 'フォントサイズ L',
            'fs_ll' => 'フォントサイズ LL',
        ),
	));

    $wp_customize->add_setting('side_options_headercenter', array(
	   'type'  => 'option',
	   'default' => 'headerleft',
	));
	$wp_customize->add_control( 'side_options_headercenter', array(
	    'settings' => 'side_options_headercenter',
	    'label' =>'サイトタイトル位置',
		'description' => '<span style="font-size:11px;">サイトタイトル（ロゴ）の位置を変更することが可能です。（※PC表示のみ）</span>',
	    'section' => 'title_tagline',
	    'type' => 'radio',
	    'choices' => array(
            'headerleft' => '左側に配置',
            'headercenter' => '中央に配置',
        ),
	));
	
    $wp_customize->add_setting('side_options_headerbg', array(
	   'type'  => 'option',
	   'default' => 'bgfull',
	));
	$wp_customize->add_control( 'side_options_headerbg', array(
	    'settings' => 'side_options_headerbg',
	    'label' =>'サイトヘッダーの横幅の設定',
		'description' => '<span style="font-size:11px;">サイトのメインヘッダーの背景を横幅いっぱいに表示することができます。（※PC表示）</span>',
	    'section' => 'title_tagline',
	    'type' => 'radio',
	    'choices' => array(
            'bgnormal' => 'コンテンツ幅',
            'bgfull' => 'フルサイズ（横幅いっぱい）',
        ),
	));

    $wp_customize->add_setting('side_options_headerfix', array(
	   'type'  => 'option',
	   'default' => 'headernormal',
	));
	$wp_customize->add_control( 'side_options_headerfix', array(
	    'settings' => 'side_options_headerfix',
	    'label' =>'サイトヘッダーの固定',
		'description' => '<span style="font-size:11px;">ヘッダーをスクロールに追従させることができます。（※モダンブラウザのみに対応）</span>',
	    'section' => 'title_tagline',
	    'type' => 'radio',
	    'choices' => array(
            'headernormal' => '固定しない（デフォルト）',
            'headerfix' => 'すべての端末で固定する',
            'headerfixpc' => 'PCでのみ固定する',
            'headerfixmobile' => 'スマートフォンでのみ固定する',
        ),
	));

}
add_action('customize_register', 'opencage_logo_theme_customizer');


// global setting
function opencage_global_customizer($wp_customize) {
    $wp_customize->add_section( 'global_section', array(
        'title'          =>'> サイト全体の設定',
        'priority'       => 30,
    ));

    $wp_customize->add_setting('other_options_headerundertext', array(
	   'type'  => 'option',
	));
	$wp_customize->add_control( 'other_options_headerundertext', array(
	    'settings' => 'other_options_headerundertext',
	    'label' =>'ヘッダー下お知らせテキスト',
		'description' => '<span style="font-size:11px;">ヘッダー下にお知らせを表示できます。イベントの告知や読んで欲しい記事などへのリンクを設置したりと、使い方は様々！※下の「<b>ヘッダー下お知らせリンク</b>」を設定しないと表示されません</span>',
	    'section' => 'global_section',
	));

    $wp_customize->add_setting('other_options_headerunderlink', array(
	   'type'  => 'option',
	));
	$wp_customize->add_control( 'other_options_headerunderlink', array(
	    'settings' => 'other_options_headerunderlink',
	    'label' =>'ヘッダー下お知らせリンク',
		'description' => '<span style="font-size:11px;">ヘッダー下のお知らせにリンクを設置可能です。<br>例）https://open-cage.com</span>',
	    'section' => 'global_section',
	));
	$wp_customize->add_setting( 'other_options_headerunderlink_bgcolor', array(
		'default' => '#f55e5e', 
	));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'other_options_headerunderlink_bgcolor', array(
	    'settings' => 'other_options_headerunderlink_bgcolor',
	    'label' => 'お知らせ背景色1',
	    'section' => 'global_section',
    )));
	$wp_customize->add_setting( 'other_options_headerunderlink_bgcolor2', array(
		'default' => '#ffbaba', 
	));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'other_options_headerunderlink_bgcolor2', array(
	    'settings' => 'other_options_headerunderlink_bgcolor2',
	    'label' => 'お知らせ背景色2',
		'description' => '<span style="font-size:11px;">背景色2を設定することでグラデーションにすることが可能です。背景色1と同じ色にすれば単色にできます。</span>',
	    'section' => 'global_section',
    )));
    $wp_customize->add_setting('other_options_headerunderlink_target', array(
	   'type'  => 'option',
	));
	$wp_customize->add_control( 'other_options_headerunderlink_target', array(
	    'settings' => 'other_options_headerunderlink_target',
	    'label' =>'リンクを別タブで開く（_target設定）',
		'description' => '<span style="font-size:11px;"><br><br></span>',
	    'section' => 'global_section',
	    'type' => 'checkbox',
	));
	
	$wp_customize->add_setting('side_options_header_search2', array(
	   'type'  => 'option',
	   'default' => 'search_on',
	));
	$wp_customize->add_control( 'side_options_header_search2', array(
	    'settings' => 'side_options_header_search2',
	    'label' =>'ヘッダーの検索ボタン',
	    'section' => 'global_section',
	    'type' => 'radio',
	    'choices' => array(
            'search_on' => '表示する',
            'search_off' => '表示しない',
        ),
	));

    $wp_customize->add_setting('side_options_sidebarlayout', array(
	   'type'  => 'option',
	   'default' => 'sidebarright',
	));
	$wp_customize->add_control( 'side_options_sidebarlayout', array(
	    'settings' => 'side_options_sidebarlayout',
	    'label' =>'メインカラム表示位置',
	    'section' => 'global_section',
	    'type' => 'radio',
	    'choices' => array(
            'sidebarright' => 'メインカラム左側（デフォルト）',
            'sidebarleft' => 'メインカラム右側',
        ),
	));

    $wp_customize->add_setting('pannavi_position', array(
	   'type'  => 'option',
	   'default' => 'pannavi_on_bottom',
	));
	$wp_customize->add_control( 'pannavi_position', array(
	    'settings' => 'pannavi_position',
	    'label' =>'パンくずナビ表示設定',
		'description' => '<span style="font-size:11px;">パンくずナビの表示位置のコントロールができます。</span>',
	    'section' => 'global_section',
	    'type' => 'radio',
	    'choices' => array(
            'pannavi_on' => 'パンくずナビを「サイト上部」に表示する',
            'pannavi_on_bottom' => 'パンくずナビを「サイト下部」に表示する',
            'pannavi_off' => 'パンくずナビを表示しない',
        ),
	));
	
	$wp_customize->add_setting('side_options_cataccordion', array(
	   'type'  => 'option',
	   'default' => 'accordion_on',
	));
	$wp_customize->add_control( 'side_options_cataccordion', array(
	    'settings' => 'side_options_cataccordion',
	    'label' =>'[ウィジェット]サブカテゴリー階層化',
		'description' => '<span style="font-size:11px;">カテゴリーウィジェットのサブカテゴリーを隠しておいて、ボタンで表示させることができます。</span>',
	    'section' => 'global_section',
	    'type' => 'radio',
	    'choices' => array(
	        'accordion_on' => 'サブカテゴリーを折りたたむ（+ボタンで表示できるようになります）',
	        'accordion_off' => 'サブカテゴリーを全て表示',
	    ),
	));

    $wp_customize->add_setting('side_options_googlefontinclude', array(
	   'type'  => 'option',
	   'default' => 'gf_Concert',
	));
	$wp_customize->add_control( 'side_options_googlefontinclude', array(
	    'settings' => 'side_options_googlefontinclude',
	    'label' =>'Googleフォント設定',
		'description' => '<span style="font-size:11px;">読み込むGoogleフォントの種類を変更します。</span>',
	    'section' => 'global_section',
	    'type' => 'radio',
	    'choices' => array(
            'gf_Concert' => 'Concert（デフォルト）',
            'gf_UbuntuCon' => 'UbuntuCon',
            'gf_Lora' => 'Lora',
            'gf_Lobster' => 'Lobster',
        ),
	));

    $wp_customize->add_setting('advanced_lozad_js', array(
	   'type'  => 'option',
	   'default' => 'off',
	));
	$wp_customize->add_control( 'advanced_lozad_js', array(
	    'label' =>'画像の遅延読み込み',
		'description' => '<span style="font-size:11px;">画像にloading="lazy"を付与して遅延読み込みを行います。</span>',
	    'settings' => 'advanced_lozad_js',
	    'section' => 'global_section',
	    'type' => 'radio',
	    'choices' => array(
            'on' => '遅延読み込みする',
            'off' => '遅延読み込みしない',
        ),
	));

    $wp_customize->add_setting('advanced_pagetop_btn', array(
	   'type'  => 'option',
	   'default' => 'on',
	));
	$wp_customize->add_control( 'advanced_pagetop_btn', array(
	    'label' =>'ページトップへ戻るボタン',
		'description' => '<span style="font-size:11px;">画面右下に出現するページトップ戻るボタンの表示設定。</span>',
	    'settings' => 'advanced_pagetop_btn',
	    'section' => 'global_section',
	    'type' => 'radio',
	    'choices' => array(
            'on' => '表示する（デフォルト）',
            'off' => '表示しない',
        ),
	));

}
add_action( 'customize_register', 'opencage_global_customizer' );


// top header image setting
function opencage_toppage_theme_customizer( $wp_customize ) {
	  $wp_customize->add_panel('panel_toppege_settings',
	    array(
	      'title' => '> トップページ設定',
	      'priority' => 34,
	    )
	  );

	
    $wp_customize->add_section( 'stk_toppage_section' , array(
	    'title'       => 'ヘッダーアイキャッチの設定',
	    'panel' => 'panel_toppege_settings',
	    'description' => 'トップページの「ヘッダーアイキャッチ」の設定ができます。',
	));

	$wp_customize->add_setting('opencage_toppage_header_display', array(
	   'type'  => 'option',
	   'default' => 'on',
	));
	$wp_customize->add_control( 'opencage_toppage_header_display', array(
	    'settings' => 'opencage_toppage_header_display',
	    'label' =>'ヘッダーアイキャッチの表示設定',
		'description' => '<span style="font-size:11px;">トップページヘッダーの表示設定。</span>',
	    'section' => 'stk_toppage_section',
	    'type' => 'radio',
	    'choices' => array(
            'on' => '表示する',
            'off' => '表示しない',
        ),
	));
	
	$wp_customize->add_setting( 'opencage_toppage_headerbg' );
	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'opencage_toppage_headerbg', array(
		'settings'   => 'opencage_toppage_headerbg',
		'label'        => 'ヘッダー背景画像',
		'section'    => 'stk_toppage_section',
	)));

	$wp_customize->add_setting( 'opencage_toppage_headerbgsp' );
	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'opencage_toppage_headerbgsp', array(
		'settings'   => 'opencage_toppage_headerbgsp',
		'label'        => 'ヘッダー背景画像（SP用）',
		'description' => '<span style="font-size:11px;">スマートフォン用のヘッダー背景画像を設定できます。※設定しなかった場合はPC用が表示されます。</span>',
		'section'    => 'stk_toppage_section',
	)));

	$wp_customize->add_setting('opencage_toppage_headeregtext', array(
	   'type'  => 'option',
	));
	$wp_customize->add_control( 'opencage_toppage_headeregtext', array(
	    'settings' => 'opencage_toppage_headeregtext',
	    'label' =>'英語表示テキスト（大テキスト）',
		'description' => '<span style="font-size:11px;">推奨はローマ字です。日本語でも表示は可能ですがフォントの見た目が変わります。</span>',
	    'section' => 'stk_toppage_section',
	));
    $wp_customize->add_setting('opencage_toppage_headerjptext', array(
	   'type'  => 'option',
	));
	$wp_customize->add_control( 'opencage_toppage_headerjptext', array(
	    'settings' => 'opencage_toppage_headerjptext',
	    'label' =>'日本語表示テキスト（小テキスト）',
		'description' => '<span style="font-size:11px;">小さな補足テキストが入ります。</span>',
	    'section' => 'stk_toppage_section',
	    'type' => 'textarea',
	));
	$wp_customize->add_setting( 'opencage_toppage_textcolor', array(
		'default' => '#0ea3c9', 
	));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'opencage_toppage_textcolor', array(
	    'settings' => 'opencage_toppage_textcolor',
	    'label' => 'テキストカラー',
	    'section' => 'stk_toppage_section',
    )));

    $wp_customize->add_setting('opencage_toppage_headerlink', array(
	   'type'  => 'option',
	));
	$wp_customize->add_control( 'opencage_toppage_headerlink', array(
	    'settings' => 'opencage_toppage_headerlink',
	    'label' =>'ボタンURL',
		'description' => '<span style="font-size:11px;"><span style="color:red;">※リンクさせる場合は必須</span> リンクさせたいページやサイトのURLを入力</span>',
	    'section' => 'stk_toppage_section',
	));
    $wp_customize->add_setting('opencage_toppage_headerlinktext', array(
	   'type'  => 'option',
	));
	$wp_customize->add_control( 'opencage_toppage_headerlinktext', array(
	    'settings' => 'opencage_toppage_headerlinktext',
	    'label' =>'ボタンテキスト',
		'description' => '<span style="font-size:11px;">ここに入力した文字で置き換えます。※上の項目の「ボタンURL」を設定していない場合は表示されません。</span>',
	    'section' => 'stk_toppage_section',
	));
	$wp_customize->add_setting( 'opencage_toppage_btncolor', array(
		'default' => '#ffffff', 
	));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'opencage_toppage_btncolor', array(
	    'settings' => 'opencage_toppage_btncolor',
	    'label' => 'ボタンテキストカラー',
	    'section' => 'stk_toppage_section',
    )));
	$wp_customize->add_setting( 'opencage_toppage_btnbgcolor', array(
		'default' => '#ed7171', 
	));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'opencage_toppage_btnbgcolor', array(
	    'settings' => 'opencage_toppage_btnbgcolor',
	    'label' => 'ボタン背景カラー1',
	    'section' => 'stk_toppage_section',
    )));
	$wp_customize->add_setting( 'opencage_toppage_btnbgcolor2', array(
		'default' => '#ffbaba', 
	));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'opencage_toppage_btnbgcolor2', array(
	    'settings' => 'opencage_toppage_btnbgcolor2',
	    'label' => 'ボタン背景カラー2',
		'description' => '<span style="font-size:11px;">ボタン背景カラー2を設定することでグラデーションにすることが可能です。ボタン背景カラー1と同じ色にすれば単色にできます。</span>',
	    'section' => 'stk_toppage_section',
    )));
    $wp_customize->add_setting('opencage_toppage_textlayout', array(
	   'type'  => 'option',
	   'default' => 'textcenter',
	));
	$wp_customize->add_control( 'opencage_toppage_textlayout', array(
	    'settings' => 'opencage_toppage_textlayout',
	    'label' =>'テキストレイアウト',
		'description' => '<span style="font-size:11px;">PC・タブレットの場合にテキストの配置位置を変更します。※スマートフォンでは全て中央よせとなります。</span>',
	    'section' => 'stk_toppage_section',
	    'type' => 'radio',
	    'choices' => array(
            'textcenter' => '中央よせ',
            'textleft' => '左よせ',
            'textright' => '右よせ',
        ),
	));


	// slider
    $wp_customize->add_section( 'stk_toppageslider_section' , array(
	    'title'       => 'スライダー設定',
	    'panel' => 'panel_toppege_settings',
	    'description' => 'トップページに表示するピックアップスライドショーの設定が可能です。',
	));

	$wp_customize->add_setting('stk_toppageslider_display', array(
	   'type'  => 'option',
	   'default' => 'off',
	));
	$wp_customize->add_control( 'stk_toppageslider_display', array(
	    'settings' => 'stk_toppageslider_display',
	    'label' =>'スライダーの表示設定',
		'description' => '<span style="font-size:11px;">トップページのおすすめ記事スライドの表示設定。</span>',
	    'section' => 'stk_toppageslider_section',
	    'type' => 'radio',
	    'choices' => array(
            'on' => '表示する',
            'off' => '表示しない',
        ),
	));

    $wp_customize->add_setting('stk_toppageslider_postsnumber', array(
	   'type'  => 'option',
	   'default' => '10',
	));
	$wp_customize->add_control( 'stk_toppageslider_postsnumber', array(
	    'label' =>'スライダーの最大表示数',
		'description' => '<span style="font-size:11px;">最大何個までのスライドを表示させるかの設定が可能です。（※スライドが動かなくなるので最低でも5以上の数を指定してください。）</span>',
	    'settings' => 'stk_toppageslider_postsnumber',
	    'section' => 'stk_toppageslider_section',
	));


	// ピックアップコンテンツ
    $wp_customize->add_section( 'stk_pickupcontent_section' , array(
	    'title'       => 'ピックアップコンテンツ設定',
	    'panel' => 'panel_toppege_settings',
	    'description' => 'ヘッダー下のおすすめリンクを設置することができます。4つまで設定可能。',
	));
	
	$wp_customize->add_setting('stk_pickupcontent_display', array(
	   'type'  => 'option',
	   'default' => 'on',
	));
	$wp_customize->add_control( 'stk_pickupcontent_display', array(
	    'settings' => 'stk_pickupcontent_display',
	    'label' =>'ピックアップコンテンツの表示設定',
		'description' => '<span style="font-size:11px;">ピックアップコンテンツを設定している場合で、ここで表示非表示を設定できます。</span>',
	    'section' => 'stk_pickupcontent_section',
	    'type' => 'radio',
	    'choices' => array(
            'on' => '表示する（全ページ）',
            'on_top' => '表示する（トップページのみ）',
            'off' => '表示しない',
        ),
	));
	
	$wp_customize->add_setting( 'stk_pickupcontent_1_img' );
	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'stk_pickupcontent_1_img', array(
		'settings'   => 'stk_pickupcontent_1_img',
		'label'        => '[バナー01] 画像',
		'description' => '<span style="font-size:11px;">推奨サイズ：390 × 240 px</span>',
		'section'    => 'stk_pickupcontent_section',
	)));

    $wp_customize->add_setting('stk_pickupcontent_1_link', array(
	   'type'  => 'option',
	));
	$wp_customize->add_control( 'stk_pickupcontent_1_link', array(
	    'label' =>'[バナー01] リンク',
	    'settings' => 'stk_pickupcontent_1_link',
	    'section' => 'stk_pickupcontent_section',
	));

    $wp_customize->add_setting('stk_pickupcontent_1_text', array(
	   'type'  => 'option',
	));
	$wp_customize->add_control( 'stk_pickupcontent_1_text', array(
	    'settings' => 'stk_pickupcontent_1_text',
	    'label' =>'[バナー01] テキスト',
	    'section' => 'stk_pickupcontent_section',
	));
    $wp_customize->add_setting('stk_pickupcontent_1_linktarget', array(
	   'type'  => 'option',
	));
	$wp_customize->add_control( 'stk_pickupcontent_1_linktarget', array(
	    'settings' => 'stk_pickupcontent_1_linktarget',
	    'label' =>'リンクを別タブで開く（_target設定）',
		'description' => '<span style="font-size:11px;"><br><br><hr style="margin-left:-24px;"><br></span>',
	    'section' => 'stk_pickupcontent_section',
	    'type' => 'checkbox',
	));

	

	$wp_customize->add_setting( 'stk_pickupcontent_2_img' );
	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'stk_pickupcontent_2_img', array(
		'settings'   => 'stk_pickupcontent_2_img',
		'label'        => '[バナー02] 画像',
		'description' => '<span style="font-size:11px;">推奨サイズ：390 × 240 px</span>',
		'section'    => 'stk_pickupcontent_section',
	)));

    $wp_customize->add_setting('stk_pickupcontent_2_link', array(
	   'type'  => 'option',
	));
	$wp_customize->add_control( 'stk_pickupcontent_2_link', array(
	    'label' =>'[バナー02] リンク',
	    'settings' => 'stk_pickupcontent_2_link',
	    'section' => 'stk_pickupcontent_section',
	));

    $wp_customize->add_setting('stk_pickupcontent_2_text', array(
	   'type'  => 'option',
	));
	$wp_customize->add_control( 'stk_pickupcontent_2_text', array(
	    'settings' => 'stk_pickupcontent_2_text',
	    'label' =>'[バナー02] テキスト',
	    'section' => 'stk_pickupcontent_section',
	));
    $wp_customize->add_setting('stk_pickupcontent_2_linktarget', array(
	   'type'  => 'option',
	));
	$wp_customize->add_control( 'stk_pickupcontent_2_linktarget', array(
	    'settings' => 'stk_pickupcontent_2_linktarget',
	    'label' =>'リンクを別タブで開く（_target設定）',
		'description' => '<span style="font-size:11px;"><br><br><hr style="margin-left:-24px;"><br></span>',
	    'section' => 'stk_pickupcontent_section',
	    'type' => 'checkbox',
	));


	$wp_customize->add_setting( 'stk_pickupcontent_3_img' );
	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'stk_pickupcontent_3_img', array(
		'settings'   => 'stk_pickupcontent_3_img',
		'label'        => '[バナー03] 画像',
		'description' => '<span style="font-size:11px;">推奨サイズ：390 × 240 px</span>',
		'section'    => 'stk_pickupcontent_section',
	)));

    $wp_customize->add_setting('stk_pickupcontent_3_link', array(
	   'type'  => 'option',
	));
	$wp_customize->add_control( 'stk_pickupcontent_3_link', array(
	    'label' =>'[バナー03] リンク',
	    'settings' => 'stk_pickupcontent_3_link',
	    'section' => 'stk_pickupcontent_section',
	));

    $wp_customize->add_setting('stk_pickupcontent_3_text', array(
	   'type'  => 'option',
	));
	$wp_customize->add_control( 'stk_pickupcontent_3_text', array(
	    'settings' => 'stk_pickupcontent_3_text',
	    'label' =>'[バナー03] テキスト',
	    'section' => 'stk_pickupcontent_section',
	));
    $wp_customize->add_setting('stk_pickupcontent_3_linktarget', array(
	   'type'  => 'option',
	));
	$wp_customize->add_control( 'stk_pickupcontent_3_linktarget', array(
	    'settings' => 'stk_pickupcontent_3_linktarget',
	    'label' =>'リンクを別タブで開く（_target設定）',
		'description' => '<span style="font-size:11px;"><br><br><hr style="margin-left:-24px;"><br></span>',
	    'section' => 'stk_pickupcontent_section',
	    'type' => 'checkbox',
	));


	$wp_customize->add_setting( 'stk_pickupcontent_4_img' );
	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'stk_pickupcontent_4_img', array(
		'settings'   => 'stk_pickupcontent_4_img',
		'label'        => '[バナー04] 画像',
		'description' => '<span style="font-size:11px;">推奨サイズ：390 × 240 px</span>',
		'section'    => 'stk_pickupcontent_section',
	)));

    $wp_customize->add_setting('stk_pickupcontent_4_link', array(
	   'type'  => 'option',
	));
	$wp_customize->add_control( 'stk_pickupcontent_4_link', array(
	    'label' =>'[バナー04] リンク',
	    'settings' => 'stk_pickupcontent_4_link',
	    'section' => 'stk_pickupcontent_section',
	));

    $wp_customize->add_setting('stk_pickupcontent_4_text', array(
	   'type'  => 'option',
	));
	$wp_customize->add_control( 'stk_pickupcontent_4_text', array(
	    'settings' => 'stk_pickupcontent_4_text',
	    'label' =>'[バナー04] テキスト',
	    'section' => 'stk_pickupcontent_section',
	));
    $wp_customize->add_setting('stk_pickupcontent_4_linktarget', array(
	   'type'  => 'option',
	));
	$wp_customize->add_control( 'stk_pickupcontent_4_linktarget', array(
	    'settings' => 'stk_pickupcontent_4_linktarget',
	    'label' =>'リンクを別タブで開く（_target設定）',
		'description' => '<span style="font-size:11px;"><br><br><hr style="margin-left:-24px;"><br></span>',
	    'section' => 'stk_pickupcontent_section',
	    'type' => 'checkbox',
	));

}
add_action('customize_register', 'opencage_toppage_theme_customizer');



// Pick up content
function opencage_pickupcontent_theme_customizer( $wp_customize ) {

}
add_action('customize_register', 'opencage_pickupcontent_theme_customizer');

// archives setting
function opencage_layout_customizer($wp_customize) {
    $wp_customize->add_section( 'archiveslayout_section', array(
        'title'          =>'> 記事一覧レイアウト設定',
        'priority'       => 40,
	    'description' => '記事一覧ページ（トップページ・カテゴリー・タグのページ等）のレイアウトを変更可能です。',
    ));

	$wp_customize->add_setting( 'stk_archives_noimg', array(
		'default' => get_theme_file_uri('/images/noimg.png'),
	));
	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'stk_archives_noimg', array(
		'settings'   => 'stk_archives_noimg',
		'label'        => 'NO IMAGE画像',
		'description' => '<span style="font-size:11px;">アイキャッチ画像を設定していない場合のNO IMAGE画像を変更することが可能です。</span>',
		'section'    => 'archiveslayout_section',
	)));

    $wp_customize->add_setting('post_new_mark', array(
	   'type'  => 'option',
	   'default' => '3',
	));
	$wp_customize->add_control( 'post_new_mark', array(
	    'settings' => 'post_new_mark',
	    'label' =>'NEWマークの表示期間',
		'description' => '<span style="font-size:11px;">表示したい日数を入力することでNEWマークラベルを表示します。※NEWマークを非表示にしたい場合は「0」と記入します。</span>',
	    'section' => 'archiveslayout_section',
	    'type' => 'number',
	));
	
	$wp_customize->add_setting( 'post_new_mark_bgcolor', array(
		'default' => '#ff6347', 
	));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'post_new_mark_bgcolor', array(
	    'settings' => 'post_new_mark_bgcolor',
	    'label' => 'NEWマークラベル背景色',
	    'section' => 'archiveslayout_section',
    )));

    $wp_customize->add_setting('stk_archive_description', array(
	   'type'  => 'option',
	   'default' => 'on',
	));
	$wp_customize->add_control( 'stk_archive_description', array(
	    'settings' => 'stk_archive_description',
	    'label' =>'抜粋の表示設定',
		'description' => '<span style="font-size:11px;">アーカイブページで記事冒頭の抜粋文の表示非表示を切り替えることができます。</span>',
	    'section' => 'archiveslayout_section',
	    'type' => 'radio',
	    'choices' => array(
            'on' => '表示する',
            'off' => '表示しない',
        ),
	));


    $wp_customize->add_setting('stk_archivelayout_home', array(
	   'type'  => 'option',
	   'default' => 'toplayout-card',
	));
	$wp_customize->add_control( 'stk_archivelayout_home', array(
	    'settings' => 'stk_archivelayout_home',
	    'label' =>'[PC]トップページ記事レイアウト',
	    'section' => 'archiveslayout_section',
	    'type' => 'radio',
	    'choices' => array(
            'toplayout-simple' => 'シンプル',
            'toplayout-card' => 'カード型',
            'toplayout-big' => 'ビッグ',
        ),
	));

    $wp_customize->add_setting('stk_archivelayout_home_sp', array(
	   'type'  => 'option',
	   'default' => 'toplayout-simple',
	));
	$wp_customize->add_control( 'stk_archivelayout_home_sp', array(
	    'settings' => 'stk_archivelayout_home_sp',
	    'label' =>'[SP]トップページ記事レイアウト',
		'description' => '<span style="font-size:11px;">※PC画面では確認できません。実機にてご確認ください。</span>',
	    'section' => 'archiveslayout_section',
	    'type' => 'radio',
	    'choices' => array(
            'toplayout-simple' => 'シンプル',
            'toplayout-card' => 'カード型',
            'toplayout-big' => 'ビッグ',
        ),
	));

    $wp_customize->add_setting('stk_archivelayout', array(
	   'type'  => 'option',
	   'default' => 'toplayout-simple',
	));
	$wp_customize->add_control( 'stk_archivelayout', array(
	    'settings' => 'stk_archivelayout',
	    'label' =>'[PC]その他一覧ページ記事レイアウト',
	    'section' => 'archiveslayout_section',
	    'type' => 'radio',
	    'choices' => array(
            'toplayout-simple' => 'シンプル',
            'toplayout-card' => 'カード型',
            'toplayout-big' => 'ビッグ',
        ),
	));

    $wp_customize->add_setting('stk_archivelayout_sp', array(
	   'type'  => 'option',
	   'default' => 'toplayout-card',
	));
	$wp_customize->add_control( 'stk_archivelayout_sp', array(
	    'settings' => 'stk_archivelayout_sp',
	    'label' =>'[SP]その他一覧ページ記事レイアウト',
		'description' => '<span style="font-size:11px;">※PC画面では確認できません。実機にてご確認ください。</span>',
	    'section' => 'archiveslayout_section',
	    'type' => 'radio',
	    'choices' => array(
            'toplayout-simple' => 'シンプル',
            'toplayout-card' => 'カード型',
            'toplayout-big' => 'ビッグ',
        ),
	));

}
add_action( 'customize_register', 'opencage_layout_customizer' );



// single, page setting
function opencage_postpage_customizer($wp_customize) {
    $wp_customize->add_section( 'postpage_section', array(
        'title'          =>'> 投稿・固定ページ設定',
        'priority'       => 45,
    ));

    $wp_customize->add_setting('post_options_ttl', array(
	   'type'  => 'option',
	   'default' => 'h_default',
	));
	$wp_customize->add_control( 'post_options_ttl', array(
	    'settings' => 'post_options_ttl',
	    'label' =>'見出しデザイン',
		'description' => '<span style="font-size:11px;">見出しのデザインを変更することが可能です。※CSSで独自カスタマイズする場合はデフォルトを選択してください。</span>',
	    'section' => 'postpage_section',
	    'type' => 'radio',
	    'choices' => array(
            'h_default' => 'シンプル（デフォルト）',
            'h_boader' => 'ボーダー',
            'h_balloon' => '吹き出し',
            'h_stitch' => 'ステッチ',
        ),
	));

    $wp_customize->add_setting('post_options_eyecatch_display', array(
	   'type'  => 'option',
	   'default' => 'on',
	));
	$wp_customize->add_control( 'post_options_eyecatch_display', array(
	    'settings' => 'post_options_eyecatch_display',
	    'label' =>'アイキャッチ画像の表示設定',
		'description' => '<span style="font-size:11px;">記事ページ、固定ページでのアイキャッチ画像の表示設定ができます。</span>',
	    'section' => 'postpage_section',
	    'type' => 'radio',
	    'choices' => array(
            'on' => '表示する',
            'off' => '表示しない',
        ),
	));

	$wp_customize->add_setting('post_options_authordisplay', array(
	   'type'  => 'option',
	   'default' => 'author_on',
	));
	$wp_customize->add_control( 'post_options_authordisplay', array(
	    'settings' => 'post_options_authordisplay',
	    'label' =>'投稿者名の表示設定',
		'description' => '<span style="font-size:11px;">記事ページ（記事タイトル付近）、記事一覧ページにて投稿者名を表示します。</span>',
	    'section' => 'postpage_section',
	    'type' => 'radio',
	    'choices' => array(
            'author_on' => '表示する（記事ページのみ）',
            'author_on_archives' => '表示する（記事・一覧ページの両方）',
            'author_off' => '表示しない',
        ),
	));

    $wp_customize->add_setting('post_options_date', array(
	   'type'  => 'option',
	   'default' => 'undo_on',
	));
	$wp_customize->add_control( 'post_options_date', array(
	    'settings' => 'post_options_date',
	    'label' =>'投稿日・更新日の表示設定',
		'description' => '<span style="font-size:11px;">【※1】通常は投稿日が表示されます。更新があった場合に更新日のみの表示に切り替わります。</span>',
	    'section' => 'postpage_section',
	    'type' => 'radio',
	    'choices' => array(
            'undo_on' => '更新日のみ表示する（※1）',
            'date_on' => '投稿日のみ表示する',
            'date_undo_on' => '投稿日・更新日を表示する',
            'date_undo_off' => '投稿日・更新日を非表示にする',
        ),
	));

    $wp_customize->add_setting('fbbox_options_url', array(
	   'type'  => 'option',
	));
	$wp_customize->add_control( 'fbbox_options_url', array(
	    'settings' => 'fbbox_options_url',
	    'label' =>'[フォローボックス]記事下にfacebookボタン',
		'description' => '<span style="font-size:11px;">リンクさせたいfacebookページのURLを入力。</span>',
	    'section' => 'postpage_section',
	));
	
    $wp_customize->add_setting('twbox_options_url', array(
	   'type'  => 'option',
	));
	$wp_customize->add_control( 'twbox_options_url', array(
	    'settings' => 'twbox_options_url',
	    'label' =>'[フォローボックス]記事下にTwitterボタン',
		'description' => '<span style="font-size:11px;">リンクさせたいTwitterのURLを入力</span>',
	    'section' => 'postpage_section',
	));

    $wp_customize->add_setting('feedlybox_options_url', array(
	   'type'  => 'option',
	));
	$wp_customize->add_control( 'feedlybox_options_url', array(
	    'settings' => 'feedlybox_options_url',
	    'label' =>'[フォローボックス]記事下にfeedlyボタン',
		'description' => '<span style="font-size:11px;">Feedlyボタンを表示させたい場合はURLを入力（例： https://feedly.com/i/subscription/feed/https://demo-stork19.open-cage.com/feed/）</span>',
	    'section' => 'postpage_section',
	));


    $wp_customize->add_setting('np_hide_options', array(
	   'type'  => 'option',
	   'default' => 'on',
	));
	$wp_customize->add_control( 'np_hide_options', array(
	    'settings' => 'np_hide_options',
	    'label' =>'前後の記事の表示設定',
		'description' => '<span style="font-size:11px;">記事下の「前後の記事へのリンク」を表示させるかどうかの設定</span>',
	    'section' => 'postpage_section',
	    'type' => 'radio',
	    'choices' => array(
            'on' => '表示する',
            'off' => '表示しない',
        ),
	));


    $wp_customize->add_setting('recommend_hide_options', array(
	   'type'  => 'option',
	   'default' => 'on',
	));
	$wp_customize->add_control( 'recommend_hide_options', array(
	    'settings' => 'recommend_hide_options',
	    'label' =>'関連記事の表示設定',
		'description' => '<span style="font-size:11px;">記事下の「関連記事」を表示させるかどうかの設定</span>',
	    'section' => 'postpage_section',
	    'type' => 'radio',
	    'choices' => array(
            'on' => '表示する',
            'off' => '表示しない',
        ),
	));

    $wp_customize->add_setting('ga_recommend_options', array(
	   'type'  => 'option',
	));
	$wp_customize->add_control( 'ga_recommend_options', array(
	    'settings' => 'ga_recommend_options',
	    'label' =>'GoogleAdSense「関連コンテンツユニット」を表示する',
		'description' => '<span style="font-size:11px;">GoogleAdSenseの「関連コンテンツユニット」を記事下の「関連記事」と置き換えるためのオプションです。下記の入力欄にGoogleAdSenseで取得したscriptを貼り付けることで関連記事と内容が置き換わります。<br><b>※上の設定項目の「関連記事の表示設定」が「表示する」になっていないと表示されません。</b></span>',
	    'type' => 'textarea',
	    'section' => 'postpage_section',
	));


    $wp_customize->add_setting('post_options_page_cta', array(
	   'type'  => 'option',
	));
	$wp_customize->add_control( 'post_options_page_cta', array(
	    'settings' => 'post_options_page_cta',
	    'label' =>'固定ページにもCTAウィジェットを表示する',
		'description' => '<span style="font-size:11px;">固定ページ下にもCTAウィジェットを表示させたい場合はチェックをいれてください。</span>',
	    'section' => 'postpage_section',
	    'type' => 'checkbox',
	));

}
add_action( 'customize_register', 'opencage_postpage_customizer' );


// sns button
function opencage_snsbutton_customizer($wp_customize) {
    $wp_customize->add_section( 'snsbutton_section', array(
        'title'          =>'> SNSボタン設定',
        'priority'       => 50,
    ));

    $wp_customize->add_setting('sns_button_display', array(
	   'type'  => 'option',
	   'default' => 'on',
	));
	$wp_customize->add_control( 'sns_button_display', array(
	    'settings' => 'sns_button_display',
	    'label' =>'SNSボタン表示設定',
		'description' => '<span style="font-size:11px;">SNSボタンの表示・非表示を設定可能です。</span>',
	    'section' => 'snsbutton_section',
	    'type' => 'radio',
	    'choices' => array(
            'on' => '表示する（投稿ページ）',
            'on_withpage' => '表示する（投稿 ＆ 固定ページ）',
            'off' => '表示しない',
        ),
	));

    $wp_customize->add_setting('sns_button_hide_twitter', array(
	   'type'  => 'option',
	));
	$wp_customize->add_control( 'sns_button_hide_twitter', array(
	    'settings' => 'sns_button_hide_twitter',
	    'label' =>'Twitterボタンを表示しない',
	    'section' => 'snsbutton_section',
	    'type' => 'checkbox',
	));

    $wp_customize->add_setting('sns_button_hide_facebook', array(
	   'type'  => 'option',
	));
	$wp_customize->add_control( 'sns_button_hide_facebook', array(
	    'settings' => 'sns_button_hide_facebook',
	    'label' =>'facebookボタンを表示しない',
	    'section' => 'snsbutton_section',
	    'type' => 'checkbox',
	));

    $wp_customize->add_setting('sns_button_hide_hatebu', array(
	   'type'  => 'option',
	));
	$wp_customize->add_control( 'sns_button_hide_hatebu', array(
	    'settings' => 'sns_button_hide_hatebu',
	    'label' =>'はてなブックマークボタンを表示しない',
	    'section' => 'snsbutton_section',
	    'type' => 'checkbox',
	));

    $wp_customize->add_setting('sns_button_hide_line', array(
	   'type'  => 'option',
	));
	$wp_customize->add_control( 'sns_button_hide_line', array(
	    'settings' => 'sns_button_hide_line',
	    'label' =>'LINEボタンを表示しない',
	    'section' => 'snsbutton_section',
	    'type' => 'checkbox',
	));

    $wp_customize->add_setting('sns_button_hide_pocket', array(
	   'type'  => 'option',
	));
	$wp_customize->add_control( 'sns_button_hide_pocket', array(
	    'settings' => 'sns_button_hide_pocket',
	    'label' =>'Pocketボタンを表示しない',
	    'section' => 'snsbutton_section',
	    'type' => 'checkbox',
	));

    $wp_customize->add_setting('sns_options_text', array(
	   'type'  => 'option',
	));
	$wp_customize->add_control( 'sns_options_text', array(
	    'settings' => 'sns_options_text',
	    'label' =>'記事下のシェアタイトルを表示',
		'description' => '<span style="font-size:11px;">ここに入力したテキストがSNSボタン上に表示されます。<b>例）シェアしてね！</b> など。</span>',
	    'section' => 'snsbutton_section',
	));


}
add_action( 'customize_register', 'opencage_snsbutton_customizer' );


// Google Analytics・head tags
function opencage_headtags_customizer($wp_customize) {
    $wp_customize->add_section( 'option_section', array(
        'title'          =>'> アクセス解析コード・headタグ',
        'priority'       => 55,
    ));
    $wp_customize->add_setting('other_options_ga', array(
	   'type'  => 'option',
	));
	$wp_customize->add_control( 'other_options_ga', array(
	    'label' =>'GoogleAnalytics',
		'description' => '<span style="font-size:11px;">入力例：「UA-xxxxxxxx-xx」<br>※プラグインなどで設定している場合は設定しないようご注意ください。2重でカウントとなる可能性があります。</span>',
	    'settings' => 'other_options_ga',
	    'section' => 'option_section',
	));

    $wp_customize->add_setting('other_options_headcode', array(
	   'type'  => 'option',
	));
	$wp_customize->add_control( 'other_options_headcode', array(
	    'label' =>'＜head＞タグ内',
		'description' => '<span style="font-size:11px;">＜head＞タグ内に解析コードなどを入力したい場合はここにコードを！</span>',
	    'settings' => 'other_options_headcode',
	    'type' => 'textarea',
	    'section' => 'option_section',
	));

    $wp_customize->add_setting('other_options_bodycode', array(
	   'type'  => 'option',
	));
	$wp_customize->add_control( 'other_options_bodycode', array(
	    'label' =>'＜body＞タグの直後',
		'description' => '<span style="font-size:11px;">＜body＞タグの直後にscriptタグなどを設置する場合にここにコードを! </span>',
	    'settings' => 'other_options_bodycode',
	    'type' => 'textarea',
	    'section' => 'option_section',
	));

    $wp_customize->add_setting('other_options_footercode', array(
	   'type'  => 'option',
	));
	$wp_customize->add_control( 'other_options_footercode', array(
	    'label' =>'＜/body＞の直前',
		'description' => '<span style="font-size:11px;">＜/body＞タグの直前に解析コードなどを入力したい場合にここにコードを！</span>',
	    'settings' => 'other_options_footercode',
	    'type' => 'textarea',
	    'section' => 'option_section',
	));
	
}
add_action( 'customize_register', 'opencage_headtags_customizer' );


// add setting
function opencage_adsetting_customizer($wp_customize) {
    $wp_customize->add_section( 'ad_section', array(
        'title'          =>'> 広告用ショートコードの登録',
        'priority'       => 60,
        'description' => '広告用のHTMLを登録することによって、ショートコードで呼び出すことが可能です。',
    ));

    $wp_customize->add_setting('other_options_ad1');
	$wp_customize->add_control(new WP_Customize_Code_Editor_Control(
		$wp_customize,
		'other_options_ad1',
		array(
		    'label' =>'広告用ショートコード1',
			'description' => '<span style="font-size:11px;"><code style="font-size:11px;">[ad1]</code>というショートコードを記事内に設置することで、ここに登録したコードを呼び出すことができます。</span>',
		    'settings' => 'other_options_ad1',
		    'section' => 'ad_section',
		)
	));
	
    $wp_customize->add_setting('other_options_ad2');
	$wp_customize->add_control(new WP_Customize_Code_Editor_Control(
		$wp_customize,
		'other_options_ad2',
		array(
		    'label' =>'広告用ショートコード2',
			'description' => '<span style="font-size:11px;"><code style="font-size:11px;">[ad2]</code>というショートコードを記事内に設置することで、ここに登録したコードを呼び出すことができます。</span>',
		    'settings' => 'other_options_ad2',
		    'section' => 'ad_section',
		)
	));
}
add_action( 'customize_register', 'opencage_adsetting_customizer' );


// Advanced setting
function opencage_advancedsetting_customizer($wp_customize) {
	
    $wp_customize->add_section( 'advanced_section', array(
        'title'          =>'> その他の設定',
        'priority'       => 65,
        'description' => 'こちらの設定では、プラグインなどとの競合により問題が発生した場合などに設定を変更してください。<b>※ここの設定項目は内容がわかる方のみご利用ください。</b>通常は変更の必要はありません。',
    ));

    $wp_customize->add_setting('side_options_fontawesomeinclude', array(
	   'type'  => 'option',
	   'default' => 'fonta_cdn',
	));
	$wp_customize->add_control( 'side_options_fontawesomeinclude', array(
	    'settings' => 'side_options_fontawesomeinclude',
	    'label' =>'アイコンフォント（Fontawesome）の読み込み設定',
		'description' => '<span style="font-size:11px;"><b style="color:red;">※1</b>「Fontawesomeを読み込まない」を選択するとアイコンが表示されなくなる可能性がございます。プラグインや独自にファイルを読み込んている場合のみ選択してください。</span>',
	    'section' => 'advanced_section',
	    'type' => 'radio',
	    'choices' => array(
            'fonta_cdn' => 'CDN版（デフォルト）',
            'fonta_download' => 'ダウンロード版',
            'fonta_off' => 'Fontawesomeを読み込まない（※1）',
        ),
	));

    $wp_customize->add_setting('side_options_cdn_jquery_include', array(
	   'type'  => 'option',
	   'default' => 'on',
	));
	$wp_customize->add_control( 'side_options_cdn_jquery_include', array(
	    'settings' => 'side_options_cdn_jquery_include',
	    'label' =>'jQuery（CDN）の読み込み設定',
		'description' => '<span style="font-size:11px;">※「CDN版を読み込まない」を選択した場合、WordPressデフォルトのjQueryを読み込むようになります。</span>',
	    'section' => 'advanced_section',
	    'type' => 'radio',
	    'choices' => array(
            'on' => 'CDN版を読み込む',
            'off' => 'CDN版を読み込まない',
        ),
	));

    $wp_customize->add_setting('advanced_js_defer', array(
	   'type'  => 'option',
	   'default' => 'off',
	));
	$wp_customize->add_control( 'advanced_js_defer', array(
	    'label' =>'【JavaScript】defer属性の付与',
		'description' => '<span style="font-size:11px;">jQuery以外のjavascriptにdefer属性を付与します。※プラグインなどと干渉する場合はOFFしましょう。</span>',
	    'settings' => 'advanced_js_defer',
	    'section' => 'advanced_section',
	    'type' => 'radio',
	    'choices' => array(
            'on' => '付与する',
            'off' => '付与しない',
        ),
	));

    $wp_customize->add_setting('advanced_print_emoji', array(
	   'type'  => 'option',
	   'default' => 'on',
	));
	$wp_customize->add_control( 'advanced_print_emoji', array(
	    'label' =>'絵文字用JSの読み込み設定',
		'description' => '<span style="font-size:11px;">WordPressの初期設定で読み込まれる絵文字用JavaScriptの読み込み設定ができます。絵文字を使わない場合は「読み込まない」を選んでください。</span>',
	    'settings' => 'advanced_print_emoji',
	    'section' => 'advanced_section',
	    'type' => 'radio',
	    'choices' => array(
            'on' => '読み込む',
            'off' => '読み込まない',
        ),
	));

    $wp_customize->add_setting('remove_gutenberg_style', array(
	   'type'  => 'option',
	   'default' => 'on',
	));
	$wp_customize->add_control( 'remove_gutenberg_style', array(
	    'label' =>'Gutenbergのデフォルトスタイルの読み込み設定',
		'description' => '<span style="font-size:11px;">Gutenbergのデフォルトスタイルを読み込むかどうかの設定。</span>',
	    'settings' => 'remove_gutenberg_style',
	    'section' => 'advanced_section',
	    'type' => 'radio',
	    'choices' => array(
            'on' => '読み込む',
            'off' => '読み込まない',
        ),
	));

    $wp_customize->add_setting('advanced_custom_lp', array(
	   'type'  => 'option',
	   'default' => 'off',
	));
	$wp_customize->add_control( 'advanced_custom_lp', array(
	    'label' =>'カスタム投稿タイプのランディングページを表示する',
		'description' => '<span style="font-size:11px;">以前のバージョンのOPENCAGE製テーマをお使いで、管理画面にカスタム投稿タイプの「ランディングページ」を表示させたい場合に。※ページとしては表示されないため、固定ページ（ランディングページ）へコピーしてご利用ください。</span>',
	    'settings' => 'advanced_custom_lp',
	    'section' => 'advanced_section',
	    'type' => 'radio',
	    'choices' => array(
            'on' => '表示する',
            'off' => '表示しない（デフォルト）',
        ),
	));

}
add_action( 'customize_register', 'opencage_advancedsetting_customizer' );



function opencage_static_front_page( $wp_customize ) {
    $wp_customize->add_section( 'static_front_page', array(
    'title' => 'ホームページ設定',
    'description' => 'サイトの基本的な設定が可能です。ロゴ画像やファビコン（サイトアイコン）はこちらのページからアップロード可能。',
    ));


    $wp_customize->add_setting('front_page_ttl_display', array(
	   'type'  => 'option',
	   'default' => 'off',
	));
	$wp_customize->add_control( 'front_page_ttl_display', array(
	    'settings' => 'front_page_ttl_display',
	    'label' =>'固定フロントページのタイトル表示',
		'description' => '<span style="font-size:11px;">固定ページをトップページにした場合にページタイトルを表示させるかどうかのオプションです。</span>',
	    'section' => 'static_front_page',
	    'type' => 'radio',
	    'choices' => array(
            'on' => '表示する',
            'off' => '表示しない（デフォルト）',
        ),
	));


}
add_action('customize_register', 'opencage_static_front_page');
