<?php

// CategoryLabel（post）
if (!function_exists('stk_postcatname')) {
	function stk_postcatname() {
		if(is_singular('post')){

			$primaryTerm = get_post_meta( get_the_ID(), '_yoast_wpseo_primary_category', true );
			
			if(!$primaryTerm) {
				$primaryTerm = get_the_category();
				$primaryTerm = $primaryTerm[0]->term_id;
			}
			$catid = $primaryTerm;
			$catname = get_cat_name( $catid );
			$catlink = get_category_link( $catid );
			
			
			return '<span class="cat-name cat-id-' . $catid . '"><a href="' .esc_url( $catlink ). '">' . $catname . '</a></span>';
		}
	}
}

// CategoryLabel（archive）
if (!function_exists('stk_archivecatname')) {
	function stk_archivecatname() {
		if(get_post_type() == 'post'){

			$primaryTerm = get_post_meta( get_the_ID(), '_yoast_wpseo_primary_category', true );
			
			if(!$primaryTerm) {
				$primaryTerm = get_the_category();
				$primaryTerm = $primaryTerm[0]->term_id;
			}
			$catid = $primaryTerm;
			$catname = get_cat_name( $catid );
			
			return '<span class="osusume-label cat-name cat-id-' . $catid . '">' . $catname . '</span>';
		} else {
			return '<span class="osusume-label cat-name cat-id-page"></span>';
		}
	}
}

// new mark
function stk_post_newmark() {
	if (get_option('post_new_mark', '3') == '0') {
		$days = null;
	} elseif (get_option('post_new_mark')) {
		$days = esc_attr(get_option('post_new_mark', '3'));
	} else {
		$days = '3';
	}
	$daysInt = ((int) $days - 1) * 86400;
	$today = time();
	$entry = get_the_time('U');
	$dayago = $today - $entry;
	if (($dayago < $daysInt) && $days) {
		return ' newmark';
	}
}

// post date
if (!function_exists('stk_postdate')) {
	function stk_postdate() {
		$display_post_date = get_option('post_options_date', 'undo_on');

		if ( $display_post_date == "date_undo_off" ) return;
		$output = "";
		// 投稿日
		if (
			$display_post_date == "date_undo_on"
			|| $display_post_date == "date_on"
			|| (get_the_date('Ymd') >= get_the_modified_date('Ymd') && $display_post_date == "undo_on")
		){
			if ( get_the_date('Ymd') >= get_the_modified_date('Ymd') ){
				$datetime = ' datetime="'.get_the_date('Y-m-d').'"';
			} else {
				$datetime = null;
			}
			$output .= '<time class="time__date gf entry-date updated"'. $datetime .'>';
			$output .= get_the_date('Y.m.d');
			$output .= '</time>';
		}
		// 更新日
		if (
			get_the_date('Ymd') < get_the_modified_date('Ymd')
			&& ($display_post_date == "undo_on" || $display_post_date == "date_undo_on")
		){

			$datetime = ' datetime="'.get_the_modified_date('Y-m-d').'"';

			$output .= '<time class="time__date gf entry-date undo updated"'. $datetime .'>';
			$output .= get_the_modified_date('Y.m.d');
			$output .= '</time>';
		}
		return $output;
	}
}

// archives post date
if (!function_exists('stk_archivesdate')) {
	function stk_archivesdate() {
		$display_post_date = get_option('post_options_date', 'undo_on');

		if ( $display_post_date == "date_undo_off" ) return;
		$output = "";
		// date on
		if (
			$display_post_date == "date_on"
			|| ($display_post_date == "undo_on" && get_the_date('Ymd') >= get_the_modified_date('Ymd'))
			|| ($display_post_date == "date_undo_on" && get_the_date('Ymd') >= get_the_modified_date('Ymd'))
		){
			$output .= '<time class="time__date gf">';
			$output .= get_the_date('Y.m.d');
			$output .= '</time>';
		}
		// undo on
		if (
			($display_post_date == "date_undo_on" || $display_post_date == "undo_on")
			&& get_the_date('Ymd') < get_the_modified_date('Ymd')
		){
			$output .= '<time class="time__date gf undo">';
			$output .= get_the_modified_date('Y.m.d');
			$output .= '</time>';
		}
		return $output;
	}
}

// headerunderlink
if (!function_exists('stk_headerunderlink')) :
	function stk_headerunderlink() {
		if ( get_option('other_options_headerunderlink') && get_option('other_options_headerundertext') ) {
			$style = ' style="background:' . get_theme_mod( 'other_options_headerunderlink_bgcolor', '#F55E5E') . ';';
			$style .= 'background:linear-gradient(135deg,'. get_theme_mod( 'other_options_headerunderlink_bgcolor', '#F55E5E') . ',' . get_theme_mod( 'other_options_headerunderlink_bgcolor2', '#ffbaba') . ');"';
		
			if(get_option('other_options_headerunderlink_target')){
				$target = ' target="_blank"';
			} else {
				$target = null;
			}
		
			$link = ' href="' . esc_url(get_option('other_options_headerunderlink')) . '"';
			
			$output = '<div class="header-info fadeIn delay-0_2s">';
			$output .= '<a' . $target . $style . $link .'>';
			$output .= get_option('other_options_headerundertext') ;
			$output .= '</a></div>';
			return $output;
		} else {
			return null;
		}
	}
endif;



// pagination
if (!function_exists('pagination')) {
	function pagination($pages = '', $range = 2){
	     global $wp_query, $paged;

		$big = 999999999;

		echo "<nav class=\"pagination cf\">";
	 	echo paginate_links( array(
			'base' => str_replace( $big, '%#%', esc_url( get_pagenum_link( $big ) ) ),
			'current' => max( 1, get_query_var('paged') ),
			'prev_text'    => __('<'),
			'next_text'    => __('>'),
			'type'    => 'list',
			'total' => $wp_query->max_num_pages
		) );
		echo "</nav>\n";
	}
}


// page top button
if (!function_exists('pagetop') && get_option('advanced_pagetop_btn', 'on') == 'on' ) {
add_action( 'wp_footer', 'pagetop' );
function pagetop() {
$pagetop = <<< EOM
<div id="page-top">
	<a href="#container" class="pt-button" title="ページトップへ"></a>
</div>

<script>
	jQuery(document).ready(function($) {
		$(function() {
		    var showFlag = false;
		    var topBtn = $('#page-top');
		    var showFlag = false;

		    $(window).scroll(function () {
		        if ($(this).scrollTop() > 400) {
		            if (showFlag == false) {
		                showFlag = true;
		                topBtn.stop().addClass('pt-active');
		            }
		        } else {
		            if (showFlag) {
		                showFlag = false;
		                topBtn.stop().removeClass('pt-active');
		            }
		        }
		    });
		    // smooth scroll
		    topBtn.click(function () {
		        $('body,html').animate({
		            scrollTop: 0
		        }, 500);
		        return false;
		    });
		});
	});
</script>

EOM;
echo $pagetop;
}
}

// search form
/*
function my_search_form( $form ) {
	$form = '<form role="search" method="get" class="searchform" action="' . esc_url(home_url( '/' )) . '" >
	<input type="search" placeholder="キーワードを入力" value="' . get_search_query() . '" name="s" id="s" />
	<button type="submit" class="searchsubmit"></button>
	</form>';
	return $form;
}
add_filter( 'get_search_form', 'my_search_form' );
*/
if (!function_exists('stk_search_form')) {
	function stk_search_form( $form ) {
		$aria_label = ! empty( $args['label'] ) ? 'aria-label="' . esc_attr( $args['label'] ) . '"' : '';
		$form = '<form role="search" ' . $aria_label . 'method="get" class="searchform" action="' . esc_url( home_url( '/' ) ) . '">
				<label>
					<span class="screen-reader-text">' . _x( 'Search for:', 'label' ) . '</span>
					<input type="search" class="searchform_input" placeholder="' . esc_attr_x( 'Search &hellip;', 'placeholder' ) . '" value="' . get_search_query() . '" name="s" />
				</label>
				<button type="submit" class="searchsubmit"></button>
			</form>';
		return $form;
	}
	add_filter( 'get_search_form', 'stk_search_form' );
}

// no image
if (!function_exists('oc_noimg')) {
	function oc_noimg() {
// 		$data = 'data-';
// 		$lozad_class = ' lozad="true" data-toggle-class="fadeIn"';
		$data = null;
		$lozad_class = ' loading="lazy"';
		if (get_option('advanced_lozad_js', 'off') == 'on' && !is_ie()) {
			$output = '<img ' . $data . 'src="'. get_theme_mod('stk_archives_noimg', get_theme_file_uri('/images/noimg.png')). '"' . $lozad_class . '>';
		} else {
			$output = '<img src="'. get_theme_mod('stk_archives_noimg', get_theme_file_uri('/images/noimg.png')). '">';
		}

		return $output;
	}
}

// archives description
if (!function_exists('stk_archives_description')) {
	function stk_archives_description() {
		if(get_option('stk_archive_description','on') == 'off') {
			return;
		}

		$excerpt_content = get_the_excerpt();

/*
		// 文字数を変更したい場合はここのコメントを外す
		if( has_excerpt() ) {
			$excerpt_content = get_the_excerpt();
		} else {
			$remove_array = ["\r\n", "\r", "\n", " ", "　"];
			$excerpt_content = wp_trim_words(strip_shortcodes(get_the_content()), 66, '...' );
			$excerpt_content = str_replace($remove_array, '', $excerpt_content);	
		}
*/

		return '<div class="description"><p>'.$excerpt_content.'</p></div>';
	}
}

// archives author
if (!function_exists('stk_archives_author')) {
	function stk_archives_author() {
		if(get_option('post_options_authordisplay','author_on') == 'author_on_archives') {
			return '<span class="writer name author">'.get_avatar(get_the_author_meta('ID'), 30).'<span class="fn">'.get_the_author().'</span></span>';
		}
	}
}


// archives no post
if (!function_exists('stk_archives_notfound')) {
	function stk_archives_notfound() {

		$output = '<article id="post-not-found" class="cf">
					<header class="article-header">
						<h1>記事が見つかりませんでした。</h1>
					</header>
					<section class="entry-content">
						<p>お探しのキーワードで記事が見つかりませんでした。別のキーワードで再度お探しいただくか、カテゴリ一覧からお探し下さい。</p>';
		
		$output .= '<div class="search">
						<h2>キーワード検索</h2>';

		ob_start();
		get_search_form();
		$output .= ob_get_contents();
		ob_end_clean();
		
		$output .= '</div>
					<div class="cat-list cf">
						<h2>カテゴリーから探す</h2>
					<ul>';
		
		ob_start();
		$args = array('title_li' => '',);
		wp_list_categories($args);
		$output .= ob_get_contents();
		ob_end_clean();
		
		$output .= '</ul>
					</div>
					</section>
					</article>';
		
		return $output;
	}
}

// search button
if (!function_exists('stk_navbtn_search')) {
	function stk_navbtn_search() {
		if(get_option('side_options_header_search2','search_on') == 'search_on'){
			$output = '<a href="#searchbox" data-remodal-target="searchbox" class="nav_btn search_btn"><span class="text gf">search</span></a>';
			return $output;
		}
	}
}

// menue button
if (!function_exists('stk_navbtn_menu')) {
	function stk_navbtn_menu() {
		if (is_active_sidebar('sidebar-sp')) {
			$output = '<a href="#spnavi" data-remodal-target="spnavi" class="nav_btn menu_btn"><span class="text gf">menu</span></a>';
			return $output;
		}
	}
}