<!doctype html>
<html <?php language_attributes(); ?>>

<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="HandheldFriendly" content="True">
<meta name="MobileOptimized" content="320">
<meta name="viewport" content="width=device-width, initial-scale=1"/>

<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>">

<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<?php wp_body_open(); ?>

<div id="container">

<?php if(lp_template_if_header()): ?>

<header id="header" class="header">
<div id="inner-header" class="wrap">


<div id="site__logo" class="<?php echo esc_html(get_option('opencage_logo_size', 'fs_m'));?>">
<?php if ( get_option( 'opencage_site_description', 'sitedes_off' ) == 'sitedes_on' ) : ?>
	<p class="site_description"><?php bloginfo('description'); ?></p>
<?php endif; ?>

	<?php
		$sitelogo_tag = (is_home() || is_front_page()) ? 'h1' : 'p';
		$gf_font = (get_option('opencage_logo_gf', 'off') == 'on') ? ' gf' : ' none_gf';
	?>

	<?php if ( has_custom_logo() ) : ?>
	<<?php echo $sitelogo_tag;?> class="h1 img"><?php the_custom_logo();?></<?php echo $sitelogo_tag;?>>
	<?php else : ?>
	<<?php echo $sitelogo_tag;?> class="h1 text<?php echo $gf_font;?>"><a href="<?php echo esc_url(home_url()); ?>" rel="nofollow"><?php bloginfo('name'); ?></a></<?php echo $sitelogo_tag;?>>
	<?php endif; ?>

</div>

<?php if (!is_mobile() && has_nav_menu('main-nav')):
	wp_nav_menu(array(
		'container' => 'nav',
		'container_id' => 'g_nav',
		'menu_id' => 'ul__g_nav',
		'theme_location' => 'main-nav',
		'before' => '',
		'after' => '',
		'link_before' => '',
		'link_after' => '',
		'depth' => 0,
		'fallback_cb' => ''
	));
endif;?>


<?php echo stk_navbtn_search(); ?>
<?php echo stk_navbtn_menu(); ?>

<?php if(is_mobile() && has_nav_menu('main-nav-sp')):
	wp_nav_menu(array(
		'container' => 'nav',
		'container_id' => 'g_nav',
		'container_class' => 'fadeIn',
		'menu_id' => 'ul__g_nav',
		'theme_location' => 'main-nav-sp',
		'before' => '',
		'after' => '',
		'link_before' => '',
		'link_after' => '',
		'depth' => 0,
		'fallback_cb' => ''
	));
endif;?>


</div>
</header>


<?php echo stk_headerunderlink();?>

<?php if(get_option('pannavi_position', 'pannavi_on_bottom') == 'pannavi_on'):
	breadcrumb();
endif;?>


<?php get_template_part( 'parts/homeheader' ); ?>


<?php endif; ?>