<?php
/*
Template Name: フルサイズ（1カラム）
Template Post Type: post
*/
?>

<?php get_header(); ?>

<div id="content">

<div id="inner-content" class="fadeIn wrap page-full wide cf">

<main id="main">
<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

<?php dynamic_sidebar( 'addbanner-titletop' ); ?>

<header class="article-header entry-header">
<p class="byline entry-meta vcard cf">

<?php echo stk_postcatname();?>

<?php echo stk_postdate();?>

<?php if(get_option('post_options_authordisplay','author_on') !== 'author_off'): ?><span class="writer name author"><?php echo get_avatar(get_the_author_meta('ID'), 30); ?><span class="fn"><?php the_author(); ?></span></span><?php endif; ?>
</p>

<h1 class="entry-title single-title" itemprop="headline" rel="bookmark"><?php the_title(); ?></h1>

<?php if ( has_post_thumbnail() && get_option('post_options_eyecatch_display', 'on') == 'on' ) :?>
<figure class="eyecatch">
<?php
	the_post_thumbnail();
	 if($pt_caption = get_post(get_post_thumbnail_id())->post_excerpt) {//caption
		 echo '<figcaption class="eyecatch-caption-text">'.$pt_caption.'</figcaption>';
	 }
?>
</figure>
<?php endif; ?>

<?php if ( get_option( 'sns_button_display', 'on' ) !== 'off' ) : ?>
<?php get_template_part( 'parts/sns_button' ); ?>
<?php endif; ?>

</header>

<section class="entry-content cf">

<?php if ( is_active_sidebar( 'addbanner-sp-titleunder' ) && is_mobile() ) : ?>
<div class="add titleunder">
<?php dynamic_sidebar( 'addbanner-sp-titleunder' ); ?>
</div>
<?php endif; ?>

<?php if ( is_active_sidebar( 'addbanner-pc-titleunder' ) && !is_mobile()) : ?>
<div class="add titleunder">
<?php dynamic_sidebar( 'addbanner-pc-titleunder' ); ?>
</div>
<?php endif; ?>

<?php the_content();
wp_link_pages( array(
'before'      => '<div class="page-links cf">',
'after'       => '</div>',
'link_before' => '<span>',
'link_after'  => '</span>',
'next_or_number'   => 'next',
'nextpagelink'     => __('次のページへ ≫'),
'previouspagelink' => __('≪ 前のページへ'),
) );    
?>

<?php if ( is_active_sidebar( 'addbanner-pc-contentfoot' ) && !is_mobile() ) : ?>
<div class="add">
<?php dynamic_sidebar( 'addbanner-pc-contentfoot' ); ?>
</div>
<?php endif; ?>

<?php if ( is_active_sidebar( 'addbanner-sp-contentfoot' ) && is_mobile() ) : ?>
<div class="add">
<?php dynamic_sidebar( 'addbanner-sp-contentfoot' ); ?>
</div>
<?php endif; ?>

</section>

<?php if(is_singular('post')):?>
<footer class="article-footer">
<?php echo get_the_category_list(); ?>
<?php the_tags( '<ul class="post-categories tags"><li>', '</li><li>', '</li></ul>' ); ?>
</footer>
<?php endif; ?>

<?php get_template_part( 'parts/followbox' ); ?>

<?php if ( get_option( 'sns_button_display', 'on' ) !== 'off' ) : ?>
<div class="sharewrap">
<?php if ( get_option( 'sns_options_text' ) ) : ?>
<h3><?php echo get_option( 'sns_options_text' ); ?></h3>
<?php endif; ?>
<?php get_template_part( 'parts/sns_button' ); ?>
</div>
<?php endif; ?>

<?php if ( is_active_sidebar( 'cta' ) ) : ?>
<div class="cta-wrap">
<?php dynamic_sidebar( 'cta' ); ?>
</div>
<?php endif; ?>

<?php comments_template(); ?>

</article>

<?php get_template_part( 'parts/singlefoot' ); ?>

<?php endwhile; ?>
<?php endif; ?>
</main>

</div>
</div>

<?php get_footer(); ?>